Imports System.Drawing.Drawing2D
Public Class MenschControl
    Private MBMP As Bitmap

    Private Liste_Regionen As New ArrayList
    Private m_AktuelleRegion As KoerperRegion
    Private m_HooverRegion As KoerperRegion

    Private m_SeitenModeBeidseits As Boolean = False

    Private AnzeigeBrush As SolidBrush
    Private SelectedBrush As SolidBrush
    Private ForeBrush As SolidBrush

    Private AbstandFuerText As Single = 20.0F
    Private RelSeitAbstand As Single = 10.0F
    Private TransformMatrix As Matrix
    Private TransformFactor As Single
    Private LinksPos As Single

    Public Event SelectedRegionChanged()
    Public Event SeitenModeChanged()

    Property AktuelleRegion() As KoerperRegion
        Get
            Return m_AktuelleRegion
        End Get
        Set(ByVal Value As KoerperRegion)
            If Not m_AktuelleRegion Is Value Then
                m_AktuelleRegion = Value
                If m_AktuelleRegion.Seite <> Seitenangaben.Mitte Then
                    If m_AktuelleRegion.Seite = Seitenangaben.Beidseits Then
                        If Not m_SeitenModeBeidseits Then
                            m_SeitenModeBeidseits = True
                            RaiseEvent SeitenModeChanged()
                        End If
                    Else
                        If m_SeitenModeBeidseits Then
                            m_SeitenModeBeidseits = False
                            RaiseEvent SeitenModeChanged()
                        End If
                    End If
                End If
                Invalidate()
            End If
        End Set
    End Property


    Property SeitenModeBeidseits() As Boolean
        Get
            Return m_SeitenModeBeidseits
        End Get
        Set(ByVal Value As Boolean)
            If (m_SeitenModeBeidseits <> Value) Then
                m_SeitenModeBeidseits = Value
                m_AktuelleRegion = Nothing
                RaiseEvent SelectedRegionChanged()
                Invalidate()
            End If
        End Set
    End Property


    Private Sub Regionen_Laden()
        If Me.DesignMode Then Exit Sub

        Region_Hinzufuegen(0, 20, 20, 15, "Stirn", Seitenangaben.Mitte, False, Lokalisationen.Stirn)
        Region_Hinzufuegen(5, 30, 15, 15, "Auge", Seitenangaben.Beidseits, False, Lokalisationen.Auge)
        Region_Hinzufuegen(15, 30, 15, 15, "Ohr", Seitenangaben.Beidseits, False, Lokalisationen.Ohr)
        Region_Hinzufuegen(0, 35, 15, 15, "Nase", Seitenangaben.Mitte, False, Lokalisationen.Nase)
        Region_Hinzufuegen(0, 46, 15, 15, "Mund", Seitenangaben.Mitte, False, Lokalisationen.Mund)
        Region_Hinzufuegen(0, 52, 20, 20, "Hals", Seitenangaben.Mitte, False, Lokalisationen.Hals)
        Region_Hinzufuegen(10, 60, 20, 20, "Clavicula", Seitenangaben.Beidseits, False, Lokalisationen.Clavicula)
        Region_Hinzufuegen(25, 65, 20, 20, "Schulter", Seitenangaben.Beidseits, False, Lokalisationen.Schulter)
        Region_Hinzufuegen(0, 70, 20, 40, "Brustbein", Seitenangaben.Mitte, False, Lokalisationen.Brustbein)
        Region_Hinzufuegen(13, 70, 25, 35, "Thorax", Seitenangaben.Beidseits, False, Lokalisationen.ThoraxVentral)
        Region_Hinzufuegen(25, 80, 20, 20, "Axilla", Seitenangaben.Beidseits, False, Lokalisationen.Axilla)

        Region_Hinzufuegen(35, 80, 20, 40, "Oberarm", Seitenangaben.Beidseits, False, Lokalisationen.Oberarm)

        Region_Hinzufuegen(35, 110, 20, 20, "Ellbogengelenk", Seitenangaben.Beidseits, False, Lokalisationen.Ellbogengelenk)

        Region_Hinzufuegen(35, 120, 20, 40, "Unterarm", Seitenangaben.Beidseits, False, Lokalisationen.Unterarm)

        Region_Hinzufuegen(35, 150, 20, 20, "Handgelenk", Seitenangaben.Beidseits, False, Lokalisationen.Handgelenk)

        Region_Hinzufuegen(35, 160, 20, 25, "Hand", Seitenangaben.Beidseits, False, Lokalisationen.Hand)

        Region_Hinzufuegen(35, 175, 20, 20, "Finger", Seitenangaben.Beidseits, False, Lokalisationen.Finger)

        Region_Hinzufuegen(0, 100, 20, 20, "Magengrube", Seitenangaben.Mitte, False, Lokalisationen.Magengrube)
        Region_Hinzufuegen(15, 100, 20, 20, "Oberbauch", Seitenangaben.Beidseits, False, Lokalisationen.Oberbauch)
        Region_Hinzufuegen(0, 115, 20, 20, "Umbilikalregion", Seitenangaben.Mitte, False, Lokalisationen.Umbilikalregion)

        Region_Hinzufuegen(15, 115, 20, 20, "Unterbauch", Seitenangaben.Beidseits, False, Lokalisationen.Unterbauch)

        Region_Hinzufuegen(0, 135, 20, 20, "Unterbauch", Seitenangaben.Mitte, False, Lokalisationen.UnterbauchMitte)

        Region_Hinzufuegen(10, 140, 20, 20, "Inguinalregion", Seitenangaben.Beidseits, False, Lokalisationen.Inguinal)

        Region_Hinzufuegen(0, 158, 20, 20, "Geschlechtsorgane", Seitenangaben.Mitte, False, Lokalisationen.Geschlechtsorgane)

        Region_Hinzufuegen(25, 130, 20, 20, "Beckenkamm", Seitenangaben.Beidseits, False, Lokalisationen.Beckenkamm)

        Region_Hinzufuegen(25, 140, 20, 20, "Hüfte", Seitenangaben.Beidseits, False, Lokalisationen.Hüfte)

        Region_Hinzufuegen(15, 160, 25, 50, "Oberschenkel", Seitenangaben.Beidseits, False, Lokalisationen.OberschenkelVentral)

        Region_Hinzufuegen(15, 210, 20, 20, "Kniegelenk", Seitenangaben.Beidseits, False, Lokalisationen.KniegelenkVentral)

        Region_Hinzufuegen(10, 230, 20, 50, "Unterschenkel", Seitenangaben.Beidseits, False, Lokalisationen.UnterschenkelVentral)

        Region_Hinzufuegen(10, 280, 20, 20, "Sprunggelenk", Seitenangaben.Beidseits, False, Lokalisationen.Sprunggelenk)

        Region_Hinzufuegen(10, 290, 30, 15, "Fuß", Seitenangaben.Beidseits, False, Lokalisationen.Fuß)

        Region_Hinzufuegen(15, 300, 30, 15, "Zehen", Seitenangaben.Beidseits, False, Lokalisationen.Zehen)


        Region_Hinzufuegen(0, 20, 20, 20, "Schädel", Seitenangaben.Mitte, True, Lokalisationen.Schädel)

        Region_Hinzufuegen(15, 30, 15, 15, "Ohr", Seitenangaben.Beidseits, True, Lokalisationen.Ohr)

        Region_Hinzufuegen(0, 40, 20, 20, "Nacken", Seitenangaben.Mitte, True, Lokalisationen.Nacken)

        Region_Hinzufuegen(0, 55, 20, 30, "HWS", Seitenangaben.Mitte, True, Lokalisationen.HWS)
        Region_Hinzufuegen(0, 75, 20, 55, "BWS", Seitenangaben.Mitte, True, Lokalisationen.BWS)

        Region_Hinzufuegen(25, 65, 20, 20, "Schulter", Seitenangaben.Beidseits, True, Lokalisationen.Schulter)


        Region_Hinzufuegen(13, 70, 25, 25, "Schulterblatt", Seitenangaben.Beidseits, True, Lokalisationen.Schulterblatt)

        Region_Hinzufuegen(25, 80, 20, 20, "Axilla", Seitenangaben.Beidseits, True, Lokalisationen.Axilla)

        Region_Hinzufuegen(35, 80, 20, 40, "Oberarm", Seitenangaben.Beidseits, True, Lokalisationen.Oberarm)

        Region_Hinzufuegen(35, 110, 20, 20, "Ellbogengelenk", Seitenangaben.Beidseits, True, Lokalisationen.Ellbogengelenk)

        Region_Hinzufuegen(35, 120, 20, 40, "Unterarm", Seitenangaben.Beidseits, True, Lokalisationen.Unterarm)

        Region_Hinzufuegen(35, 150, 20, 20, "Handgelenk", Seitenangaben.Beidseits, True, Lokalisationen.Handgelenk)

        Region_Hinzufuegen(35, 160, 20, 25, "Hand", Seitenangaben.Beidseits, True, Lokalisationen.Hand)

        Region_Hinzufuegen(35, 175, 20, 20, "Finger", Seitenangaben.Beidseits, True, Lokalisationen.Finger)

        Region_Hinzufuegen(15, 95, 20, 20, "dorsaler Thorax", Seitenangaben.Beidseits, True, Lokalisationen.ThoraxDorsal)
        Region_Hinzufuegen(15, 110, 20, 20, "Lende", Seitenangaben.Beidseits, True, Lokalisationen.Lende)

        Region_Hinzufuegen(15, 125, 20, 20, "Becken", Seitenangaben.Beidseits, True, Lokalisationen.Becken)


        Region_Hinzufuegen(15, 140, 20, 20, "Glutaealregion", Seitenangaben.Beidseits, True, Lokalisationen.Glutaealregion)

        Region_Hinzufuegen(0, 110, 20, 40, "Lumbalregion", Seitenangaben.Mitte, True, Lokalisationen.Lumbalregion)
        Region_Hinzufuegen(0, 140, 20, 20, "Sakralregion", Seitenangaben.Mitte, True, Lokalisationen.Lumbalregion)
        Region_Hinzufuegen(0, 152, 20, 20, "Rima ani", Seitenangaben.Mitte, True, Lokalisationen.RimaAni)


        Region_Hinzufuegen(25, 140, 20, 20, "Hüfte", Seitenangaben.Beidseits, True, Lokalisationen.Hüfte)

        Region_Hinzufuegen(15, 170, 25, 60, "Oberschenkel", Seitenangaben.Beidseits, True, Lokalisationen.OberschenkelDorsal)

        Region_Hinzufuegen(15, 220, 20, 20, "Kniekehle", Seitenangaben.Beidseits, True, Lokalisationen.KniegelenkDorsal)

        Region_Hinzufuegen(10, 230, 20, 50, "Unterschenkel", Seitenangaben.Beidseits, True, Lokalisationen.UnterschenkelDorsal)

        Region_Hinzufuegen(10, 280, 20, 20, "Sprunggelenk", Seitenangaben.Beidseits, True, Lokalisationen.Sprunggelenk)

        Region_Hinzufuegen(15, 290, 20, 20, "Fuß", Seitenangaben.Beidseits, True, Lokalisationen.Fuß)

        Region_Hinzufuegen(5, 290, 20, 20, "Ferse", Seitenangaben.Beidseits, True, Lokalisationen.Ferse)
    End Sub
    Private Sub Region_Hinzufuegen( _
        ByVal MedianAbstand As Integer, ByVal Top As Single, ByVal Width As Single, ByVal Height As Single, _
        ByVal Bezeichnung As String, ByVal Seite As Seitenangaben, ByVal Hinten As Boolean, ByVal Lok As Lokalisationen)
        If Seite = Seitenangaben.Beidseits Then
            Dim Rect1 As RectangleF = Rechteck_Liefern(MedianAbstand, Top, Width, Height, Seitenangaben.Links, Hinten)
            Dim Rect2 As RectangleF = Rechteck_Liefern(MedianAbstand, Top, Width, Height, Seitenangaben.Rechts, Hinten)
            Dim KR1 As New KoerperRegion(Rect1, Bezeichnung & " links", Seitenangaben.Links, Lok)
            Dim KR2 As New KoerperRegion(Rect2, Bezeichnung & " rechts", Seitenangaben.Rechts, Lok)
            Dim KR3 As New KoerperRegion(Rect1, Rect2, Bezeichnung & " beidseits", Seitenangaben.Beidseits, Lok)
            Liste_Regionen.Add(KR1)
            Liste_Regionen.Add(KR2)
            Liste_Regionen.Add(KR3)
        Else
            Dim Rect As RectangleF = Rechteck_Liefern(MedianAbstand, Top, Width, Height, Seite, Hinten)
            Dim KR As New KoerperRegion(Rect, Bezeichnung, Seite, Lok)
            Liste_Regionen.Add(KR)
        End If
    End Sub


    Private Function Rechteck_Liefern( _
    ByVal MedianAbstand As Integer, ByVal Top As Single, ByVal Width As Single, ByVal Height As Single, _
    ByVal Seite As Seitenangaben, ByVal Hinten As Boolean) As RectangleF
        Dim HalbBreite As Single = Width / 2
        Dim LeftPos As Single
        Dim Mitte As Single
        If Hinten Then
            Mitte = CSng(140)
            Select Case Seite
                Case Seitenangaben.Mitte
                    LeftPos = Mitte - HalbBreite
                Case Seitenangaben.Links
                    LeftPos = Mitte - HalbBreite - MedianAbstand
                Case Seitenangaben.Rechts
                    LeftPos = Mitte - HalbBreite + MedianAbstand
            End Select
        Else
            Mitte = CSng(43)
            Select Case Seite
                Case Seitenangaben.Mitte
                    LeftPos = Mitte - HalbBreite
                Case Seitenangaben.Links
                    LeftPos = Mitte - HalbBreite + MedianAbstand
                Case Seitenangaben.Rechts
                    LeftPos = Mitte - HalbBreite - MedianAbstand
            End Select
        End If


        Return New RectangleF(LeftPos, Top - CSng(20), Width, Height)

        'Dim Path As New Drawing2D.GraphicsPath
        'Path.AddEllipse(RA)

        'Return New System.Drawing.Region(Path)


    End Function

    Protected Overrides Sub OnPaint(ByVal pe As System.Windows.Forms.PaintEventArgs)
        MyBase.OnPaint(pe)

        'pe.Graphics.Transform = TransformMatrix

        ' Benutzerdefinierten Farbcode hier einfügen
        If IsNothing(MBMP) Then



            MBMP = New Bitmap(Me.Width, Me.Height)

            Dim g As Graphics = Graphics.FromImage(MBMP)
            Dim BackBrush As SolidBrush = New SolidBrush(Color.White)
            g.FillRectangle(BackBrush, g.ClipBounds)
            BackBrush.Dispose()

            Dim gp As GraphicsPath

            Dim MyPen As New Pen(Color.Black)

            g.SmoothingMode = SmoothingMode.AntiAlias

            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(53.79F, 20.21F, 53.85F, 10.65F)
            gp.AddBezier(53.85F, 10.65F, 53.98F, 6.769999F, 52.01F, 3.549999F, 48.79F, 1.969998F)
            gp.AddBezier(48.79F, 1.969998F, 45.35F, 0.2799983F, 42.61F, 0.2099984F, 38.79F, 0.9199984F)
            gp.AddBezier(38.79F, 0.9199984F, 34.52F, 1.709998F, 31.75F, 4.729999F, 30.44F, 9.669998F)
            gp.AddBezier(30.44F, 9.669998F, 30.38F, 12.67F, 30.76F, 14.69F, 30.82F, 17.51F)
            gp.StartFigure()
            gp.AddLine(30.82F, 17.51F, 30.83F, 17.6F)
            gp.AddBezier(30.83F, 17.6F, 30.83F, 26.54F, 34.58F, 37.09F, 43.0F, 37.48F)
            gp.AddBezier(43.0F, 37.48F, 50.45F, 37.82999F, 53.58F, 28.2F, 53.78F, 20.4F)
            gp.AddLine(53.78F, 20.4F, 53.79F, 20.21F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(40.81F, 26.37F, 41.27F, 26.83F, 41.99F, 27.42F, 42.65F, 27.42F)
            gp.AddBezier(42.65F, 27.42F, 43.37F, 27.42F, 43.97F, 26.76F, 44.56F, 26.37F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(51.4F, 17.3F, 50.02F, 16.77F, 48.64F, 16.12F, 47.13F, 16.12F)
            gp.AddBezier(47.13F, 16.12F, 46.08F, 16.12F, 44.89F, 16.84F, 43.97F, 17.17F)
            gp.AddBezier(43.97F, 17.17F, 43.51F, 17.96F, 44.04F, 19.87F, 43.71F, 20.66F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(45.02F, 18.61F, 46.01F, 18.41F, 47.12F, 17.82F, 48.18F, 17.82F)
            gp.AddBezier(48.18F, 17.82F, 48.84F, 17.82F, 49.49F, 18.54F, 50.09F, 18.74F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(33.25F, 17.1F, 34.83F, 16.38F, 36.23F, 16.18F, 37.85F, 16.18F)
            gp.AddBezier(37.85F, 16.18F, 38.66F, 16.18F, 39.21F, 16.16F, 39.89F, 16.57F)
            gp.AddBezier(39.89F, 16.57F, 40.45F, 16.91F, 40.74F, 18.46F, 40.74F, 19.13F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(34.7F, 19.08F, 35.87F, 18.31F, 36.72F, 17.96F, 38.12F, 17.96F)
            gp.AddBezier(38.12F, 17.96F, 38.81F, 17.96F, 39.12F, 18.42F, 39.63F, 18.88F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(36.93F, 18.48F, 36.98F, 18.82F, 37.04F, 19.27F, 37.39F, 19.27F)
            gp.AddBezier(37.39F, 19.27F, 37.85F, 19.27F, 38.08F, 18.83F, 38.24F, 18.42F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddLine(39.56F, 30.05F, 40.09F, 30.05F)
            gp.AddBezier(40.09F, 30.05F, 40.76F, 29.89F, 41.11F, 29.52F, 41.8F, 29.52F)
            gp.AddBezier(41.8F, 29.52F, 42.08F, 29.52F, 42.18F, 29.78F, 42.46F, 29.78F)
            gp.AddBezier(42.46F, 29.78F, 42.72F, 29.78F, 42.85F, 29.65F, 43.12F, 29.65F)
            gp.AddBezier(43.12F, 29.65F, 43.91F, 29.65F, 44.76F, 30.04F, 45.55F, 30.18F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(40.75F, 31.1F, 41.51F, 31.28F, 41.95F, 31.4F, 42.72F, 31.3F)
            gp.StartFigure()
            gp.AddLine(42.72F, 31.3F, 44.36F, 31.17F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(30.73F, 15.67F, 30.19F, 15.13F)
            gp.AddBezier(30.19F, 15.13F, 29.99F, 15.01F, 29.89F, 14.87F, 29.66F, 14.87F)
            gp.AddBezier(29.66F, 14.87F, 28.84F, 14.87F, 28.81F, 15.96F, 28.81F, 16.78F)
            gp.AddBezier(28.81F, 16.78F, 28.81F, 18.23F, 29.14F, 19.03F, 29.34F, 20.46F)
            gp.AddBezier(29.34F, 20.46F, 29.6F, 22.28F, 29.83F, 24.92F, 31.44F, 25.85F)
            gp.StartFigure()
            gp.AddLine(31.44F, 25.85F, 31.95F, 26.2F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(53.19F, 25.32F, 54.39F, 24.83F, 55.2F, 23.41F, 55.2F, 22.1F)
            gp.AddBezier(55.2F, 22.1F, 55.2F, 21.33F, 55.23F, 20.9F, 55.23F, 20.13F)
            gp.AddBezier(55.23F, 20.13F, 55.23F, 18.45F, 55.68999F, 17.53F, 55.68999F, 15.86F)
            gp.AddBezier(55.68999F, 15.86F, 55.68999F, 15.3F, 55.66F, 14.54F, 55.09999F, 14.54F)
            gp.AddBezier(55.09999F, 14.54F, 54.71F, 14.54F, 54.51999F, 14.79F, 54.25F, 15.07F)
            gp.StartFigure()
            gp.AddLine(54.25F, 15.07F, 53.83F, 15.49F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(46.93F, 18.53F, 47.08F, 18.84F, 47.29F, 19.12F, 47.65F, 19.12F)
            gp.AddBezier(47.65F, 19.12F, 48.03F, 19.12F, 48.18F, 18.74F, 48.31F, 18.4F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(33.58F, 30.41F, 33.97F, 34.33F)
            gp.AddBezier(33.97F, 34.33F, 34.1F, 38.67F, 34.63F, 38.93F, 32.98F, 43.4F)
            gp.AddBezier(32.98F, 43.4F, 32.58F, 44.48F, 25.87F, 45.84F, 24.76F, 46.1F)
            gp.AddBezier(24.76F, 46.1F, 23.31F, 46.43F, 22.61F, 46.82F, 21.34F, 47.61F)
            gp.AddBezier(21.34F, 47.61F, 20.21F, 48.32F, 19.56F, 48.55F, 18.71F, 49.58F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(16.74F, 66.81F, 17.09F, 68.18999F, 17.2F, 68.98F, 17.5F, 70.36F)
            gp.AddBezier(17.5F, 70.36F, 17.27F, 75.09F, 17.39F, 75.62F, 17.53F, 76.54F)
            gp.StartFigure()
            gp.AddLine(17.53F, 76.54F, 16.68F, 82.26F)
            gp.StartFigure()
            gp.AddLine(16.68F, 82.26F, 16.88F, 85.29F)
            gp.AddBezier(16.88F, 85.29F, 16.44F, 87.12F, 16.53F, 88.23F, 16.03F, 90.02F)
            gp.AddBezier(16.03F, 90.02F, 15.8F, 90.86F, 15.45F, 91.29F, 15.18F, 92.12F)
            gp.AddBezier(15.18F, 92.12F, 14.82F, 93.19F, 14.64F, 93.83F, 14.39F, 94.95F)
            gp.AddBezier(14.39F, 94.95F, 13.81F, 97.56001F, 13.54F, 99.06001F, 13.54F, 101.72F)
            gp.StartFigure()
            gp.AddLine(13.54F, 101.72F, 13.82F, 104.22F)
            gp.StartFigure()
            gp.AddLine(13.82F, 104.22F, 12.88F, 119.44F)
            gp.AddBezier(12.88F, 119.44F, 12.88F, 120.89F, 13.14F, 121.71F, 13.14F, 123.16F)
            gp.StartFigure()
            gp.AddLine(13.14F, 123.16F, 12.99F, 125.13F)
            gp.StartFigure()
            gp.AddLine(12.99F, 125.13F, 13.01F, 132.96F)
            gp.StartFigure()
            gp.AddLine(13.01F, 132.96F, 13.67F, 136.84F)
            gp.AddBezier(13.67F, 136.84F, 13.9F, 139.6F, 14.61F, 141.08F, 15.58F, 143.68F)
            gp.AddBezier(15.58F, 143.68F, 15.88F, 144.47F, 16.25F, 144.85F, 16.63F, 145.59F)
            gp.AddBezier(16.63F, 145.59F, 17.7F, 147.66F, 18.08F, 149.37F, 18.08F, 151.71F)
            gp.AddBezier(18.08F, 151.71F, 18.08F, 154.5F, 17.62F, 155.75F, 17.37F, 158.55F)
            gp.StartFigure()
            gp.AddLine(17.37F, 158.55F, 17.48F, 162.36F)
            gp.AddBezier(17.48F, 162.36F, 17.45F, 163.44F, 17.64F, 164.04F, 16.89F, 164.79F)
            gp.AddBezier(16.89F, 164.79F, 16.53F, 165.15F, 16.28F, 165.58F, 15.77F, 165.58F)
            gp.AddBezier(15.77F, 165.58F, 14.6F, 165.58F, 14.64F, 164.15F, 14.39F, 163.02F)
            gp.AddBezier(14.39F, 163.02F, 14.13F, 161.82F, 13.34F, 160.7F, 13.14F, 159.47F)
            gp.StartFigure()
            gp.AddLine(13.14F, 159.47F, 12.75F, 155.79F)
            gp.AddBezier(12.75F, 155.79F, 12.67F, 155.26F, 12.62F, 154.74F, 12.09F, 154.74F)
            gp.AddBezier(12.09F, 154.74F, 10.89F, 154.74F, 11.32F, 155.38F, 10.45F, 156.25F)
            gp.StartFigure()
            gp.AddLine(10.45F, 156.25F, 10.33F, 156.47F)
            gp.AddBezier(10.33F, 156.47F, 10.17F, 157.04F, 10.11F, 157.65F, 9.860003F, 158.29F)
            gp.AddBezier(9.860003F, 158.29F, 9.480002F, 159.25F, 9.630003F, 159.64F, 9.860003F, 160.66F)
            gp.AddBezier(9.860003F, 160.66F, 10.17F, 162.02F, 9.630003F, 162.62F, 9.790003F, 164.01F)
            gp.StartFigure()
            gp.AddLine(9.790003F, 164.01F, 9.920003F, 167.89F)
            gp.AddBezier(9.920003F, 167.89F, 10.05F, 169.52F, 10.51F, 170.41F, 10.51F, 172.03F)
            gp.AddBezier(10.51F, 172.03F, 10.51F, 173.13F, 10.76F, 174.15F, 10.25F, 175.12F)
            gp.AddBezier(10.25F, 175.12F, 9.900002F, 175.78F, 9.350003F, 176.17F, 8.610003F, 176.17F)
            gp.AddBezier(8.610003F, 176.17F, 8.150002F, 176.17F, 8.150002F, 175.56F, 8.080003F, 175.12F)
            gp.AddBezier(8.080003F, 175.12F, 8.000003F, 174.61F, 7.930003F, 174.31F, 7.820003F, 173.8F)
            gp.AddBezier(7.820003F, 173.8F, 7.560002F, 172.68F, 7.520002F, 172.01F, 7.160003F, 170.91F)
            gp.AddBezier(7.160003F, 170.91F, 6.440002F, 168.71F, 5.430003F, 167.42F, 5.250003F, 165.12F)
            gp.StartFigure()
            gp.AddLine(5.250003F, 165.12F, 3.150003F, 153.51F)
            gp.AddBezier(3.150003F, 153.51F, 3.150003F, 148.87F, 5.120003F, 146.41F, 5.120003F, 141.77F)
            gp.AddBezier(5.120003F, 141.77F, 5.120003F, 140.28F, 5.000003F, 139.52F, 5.090003F, 138.15F)
            gp.AddBezier(5.090003F, 138.15F, 4.600002F, 137.16F, 5.090003F, 136.36F, 4.790002F, 135.32F)
            gp.AddBezier(4.790002F, 135.32F, 4.640002F, 134.38F, 4.510002F, 133.87F, 4.400002F, 132.95F)
            gp.AddBezier(4.400002F, 132.95F, 3.890002F, 129.22F, 3.480002F, 127.13F, 2.890002F, 123.41F)
            gp.AddBezier(2.890002F, 123.41F, 2.660002F, 121.88F, 2.310003F, 121.04F, 1.970002F, 119.53F)
            gp.AddBezier(1.970002F, 119.53F, 1.250002F, 116.34F, 1.360002F, 114.5F, 0.9200025F, 111.24F)
            gp.AddBezier(0.9200025F, 111.24F, 0.7600025F, 109.92F, 0.5300025F, 109.2F, 0.5300025F, 107.89F)
            gp.StartFigure()
            gp.AddLine(0.5300025F, 107.89F, 2.170002F, 94.99997F)
            gp.AddBezier(2.170002F, 94.99997F, 2.170002F, 93.81997F, 2.130002F, 93.45997F, 2.100003F, 92.36997F)
            gp.AddBezier(2.100003F, 92.36997F, 2.030003F, 89.60997F, 2.130002F, 87.08997F, 2.000003F, 84.17997F)
            gp.AddBezier(2.000003F, 84.17997F, 2.410003F, 76.79996F, 2.310003F, 75.77997F, 2.690003F, 74.07997F)
            gp.AddBezier(2.690003F, 74.07997F, 3.080003F, 72.34997F, 3.950003F, 70.77997F, 4.160003F, 69.00997F)
            gp.AddBezier(4.160003F, 69.00997F, 4.280003F, 67.96997F, 4.130002F, 66.89997F, 4.130002F, 65.85997F)
            gp.AddBezier(4.130002F, 65.85997F, 4.130002F, 64.97997F, 4.120002F, 64.09997F, 4.120002F, 63.21997F)
            gp.AddBezier(4.120002F, 63.21997F, 4.120002F, 63.02997F, 4.120002F, 62.82997F, 4.120002F, 62.63997F)
            gp.AddBezier(4.120002F, 62.63997F, 4.760002F, 59.54997F, 5.200002F, 57.70997F, 7.100002F, 55.26997F)
            gp.AddBezier(7.100002F, 55.26997F, 8.400002F, 53.58997F, 9.390002F, 52.66997F, 11.31F, 51.71997F)
            gp.AddBezier(11.31F, 51.71997F, 12.2F, 51.27997F, 12.64F, 50.84997F, 13.55F, 50.39997F)
            gp.AddBezier(13.55F, 50.39997F, 15.75F, 49.29997F, 17.96F, 47.96997F, 20.39F, 47.96997F)
            gp.AddLine(20.39F, 47.96997F, 20.72F, 47.96997F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(51.14F, 31.89F, 50.75F, 35.41F)
            gp.AddBezier(50.75F, 35.41F, 50.29F, 38.89F, 49.76F, 39.16F, 51.43F, 43.47F)
            gp.AddBezier(51.43F, 43.47F, 51.83F, 44.51F, 58.61F, 45.66F, 59.74F, 45.88F)
            gp.AddBezier(59.74F, 45.88F, 61.2F, 46.17F, 61.92F, 46.54F, 63.21F, 47.29F)
            gp.AddBezier(63.21F, 47.29F, 64.37F, 47.96F, 65.02F, 48.17F, 65.9F, 49.17F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(68.22F, 66.22F, 67.89F, 67.62F, 67.79F, 68.43F, 67.5F, 69.84F)
            gp.StartFigure()
            gp.AddLine(67.5F, 69.84F, 67.54F, 73.75001F)
            gp.AddBezier(67.54F, 73.75001F, 67.78F, 74.69001F, 67.67F, 75.24001F, 67.52F, 76.19001F)
            gp.StartFigure()
            gp.AddLine(67.52F, 76.19001F, 68.38F, 82.11001F)
            gp.StartFigure()
            gp.AddLine(68.38F, 82.11001F, 68.37F, 83.61001F)
            gp.StartFigure()
            gp.AddLine(68.37F, 83.61001F, 68.16F, 85.25001F)
            gp.AddBezier(68.16F, 85.25001F, 68.59F, 87.15001F, 68.48F, 88.31001F, 68.97F, 90.17001F)
            gp.AddBezier(68.97F, 90.17001F, 69.19F, 91.04001F, 69.53F, 91.48F, 69.8F, 92.35001F)
            gp.AddBezier(69.8F, 92.35001F, 70.15F, 93.45F, 70.33F, 94.12F, 70.57F, 95.26001F)
            gp.AddBezier(70.57F, 95.26001F, 71.13F, 97.94001F, 71.4F, 99.47001F, 71.39F, 102.16F)
            gp.StartFigure()
            gp.AddLine(71.39F, 102.16F, 71.11F, 104.67F)
            gp.StartFigure()
            gp.AddLine(71.11F, 104.67F, 71.13F, 108.99F)
            gp.StartFigure()
            gp.AddLine(71.13F, 108.99F, 72.18999F, 119.71F)
            gp.AddBezier(72.18999F, 119.71F, 72.20999F, 121.13F, 71.95999F, 121.94F, 71.99F, 123.36F)
            gp.StartFigure()
            gp.AddLine(71.99F, 123.36F, 72.18F, 125.29F)
            gp.StartFigure()
            gp.AddLine(72.18F, 125.29F, 72.33F, 132.9F)
            gp.StartFigure()
            gp.AddLine(72.33F, 132.9F, 71.73F, 136.68F)
            gp.AddBezier(71.73F, 136.68F, 71.52F, 139.38F, 70.82F, 140.83F, 69.84F, 143.39F)
            gp.AddBezier(69.84F, 143.39F, 69.54F, 144.17F, 69.15F, 144.55F, 68.77F, 145.28F)
            gp.AddBezier(68.77F, 145.28F, 67.67001F, 147.34F, 67.27F, 149.04F, 67.24001F, 151.36F)
            gp.AddBezier(67.24001F, 151.36F, 67.2F, 154.14F, 67.64001F, 155.38F, 67.83F, 158.18F)
            gp.StartFigure()
            gp.AddLine(67.83F, 158.18F, 67.62F, 162.02F)
            gp.AddBezier(67.62F, 162.02F, 67.63F, 163.11F, 67.41F, 163.72F, 68.16F, 164.47F)
            gp.AddBezier(68.16F, 164.47F, 68.52F, 164.83F, 68.75F, 165.26F, 69.27F, 165.25F)
            gp.AddBezier(69.27F, 165.25F, 70.45F, 165.23F, 70.45F, 163.79F, 70.73F, 162.63F)
            gp.AddBezier(70.73F, 162.63F, 71.03001F, 161.42F, 71.85001F, 160.28F, 72.08F, 159.04F)
            gp.StartFigure()
            gp.AddLine(72.08F, 159.04F, 72.56001F, 155.35F)
            gp.AddBezier(72.56001F, 155.35F, 72.65F, 154.82F, 72.71001F, 154.3F, 73.24001F, 154.3F)
            gp.AddBezier(73.24001F, 154.3F, 74.44F, 154.29F, 74.00001F, 154.93F, 74.86001F, 155.81F)
            gp.StartFigure()
            gp.AddLine(74.86001F, 155.81F, 74.93001F, 155.88F)
            gp.AddBezier(74.93001F, 155.88F, 75.11001F, 156.49F, 75.14001F, 157.15F, 75.40001F, 157.85F)
            gp.AddBezier(75.40001F, 157.85F, 75.76001F, 158.82F, 75.60001F, 159.2F, 75.34001F, 160.23F)
            gp.AddBezier(75.34001F, 160.23F, 74.99001F, 161.61F, 75.52001F, 162.2F, 75.32001F, 163.61F)
            gp.StartFigure()
            gp.AddLine(75.32001F, 163.61F, 75.08002F, 167.55F)
            gp.AddBezier(75.08002F, 167.55F, 74.90002F, 169.21F, 74.42001F, 170.11F, 74.37002F, 171.78F)
            gp.AddBezier(74.37002F, 171.78F, 74.34002F, 172.91F, 74.06002F, 173.95F, 74.55002F, 174.95F)
            gp.AddBezier(74.55002F, 174.95F, 74.88002F, 175.62F, 75.43002F, 176.03F, 76.17002F, 176.03F)
            gp.AddBezier(76.17002F, 176.03F, 76.63002F, 176.03F, 76.65002F, 175.41F, 76.72002F, 174.95F)
            gp.AddBezier(76.72002F, 174.95F, 76.82002F, 174.43F, 76.89002F, 174.12F, 77.02003F, 173.6F)
            gp.AddBezier(77.02003F, 173.6F, 77.31003F, 172.46F, 77.36002F, 171.77F, 77.75003F, 170.65F)
            gp.AddBezier(77.75003F, 170.65F, 78.53003F, 168.41F, 79.56003F, 167.11F, 79.81003F, 164.78F)
            gp.StartFigure()
            gp.AddLine(79.81003F, 164.78F, 82.15002F, 153.15F)
            gp.AddBezier(82.15002F, 153.15F, 82.21002F, 148.55F, 80.29002F, 146.08F, 80.30003F, 141.53F)
            gp.AddBezier(80.30003F, 141.53F, 80.29002F, 140.06F, 80.40002F, 139.33F, 80.31003F, 137.99F)
            gp.AddBezier(80.31003F, 137.99F, 80.79003F, 137.03F, 80.29003F, 136.24F, 80.57003F, 135.24F)
            gp.AddBezier(80.57003F, 135.24F, 80.70003F, 134.33F, 80.82003F, 133.83F, 80.92003F, 132.94F)
            gp.AddBezier(80.92003F, 132.94F, 81.35003F, 129.32F, 81.71003F, 127.29F, 82.22003F, 123.66F)
            gp.AddBezier(82.22003F, 123.66F, 82.42003F, 122.16F, 82.75003F, 121.34F, 83.07003F, 119.85F)
            gp.AddBezier(83.07003F, 119.85F, 83.75003F, 116.71F, 83.61003F, 114.89F, 84.03003F, 111.68F)
            gp.AddBezier(84.03003F, 111.68F, 84.18003F, 110.38F, 84.41003F, 109.67F, 84.41003F, 108.36F)
            gp.AddBezier(84.41003F, 108.36F, 84.41003F, 108.36F, 84.00002F, 105.16F, 83.61002F, 101.92F)
            gp.AddBezier(83.61002F, 101.92F, 83.22002F, 98.68002F, 82.84003F, 95.39002F, 82.84003F, 95.39002F)
            gp.AddBezier(82.84003F, 95.39002F, 82.86002F, 94.18002F, 82.90002F, 93.81002F, 82.94003F, 92.68002F)
            gp.AddBezier(82.94003F, 92.68002F, 83.05003F, 89.83002F, 82.99003F, 87.22002F, 83.16003F, 84.21002F)
            gp.StartFigure()
            gp.AddLine(83.16003F, 84.21002F, 83.19003F, 78.34002F)
            gp.AddBezier(83.19003F, 78.34002F, 82.78002F, 76.59002F, 82.87003F, 75.55002F, 82.48003F, 73.80002F)
            gp.AddBezier(82.48003F, 73.80002F, 81.93002F, 71.42002F, 80.93002F, 70.16002F, 80.90002F, 67.74002F)
            gp.AddBezier(80.90002F, 67.74002F, 80.90002F, 67.59002F, 80.95003F, 67.49002F, 80.96002F, 67.34002F)
            gp.StartFigure()
            gp.AddLine(80.96002F, 67.34002F, 80.95002F, 66.83002F)
            gp.StartFigure()
            gp.AddLine(80.95002F, 66.83002F, 80.88002F, 62.19002F)
            gp.AddBezier(80.88002F, 62.19002F, 80.17002F, 59.10002F, 79.69002F, 57.26002F, 77.74002F, 54.83002F)
            gp.AddBezier(77.74002F, 54.83002F, 76.40002F, 53.16002F, 75.39002F, 52.24002F, 73.43002F, 51.29002F)
            gp.AddBezier(73.43002F, 51.29002F, 72.53002F, 50.85002F, 72.07002F, 50.43002F, 71.15002F, 49.99002F)
            gp.AddBezier(71.15002F, 49.99002F, 68.91003F, 48.92002F, 66.66003F, 47.64002F, 64.21002F, 47.66002F)
            gp.AddLine(64.21002F, 47.66002F, 63.87002F, 47.66002F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(17.35F, 69.66F, 17.74F, 72.22F, 18.04F, 74.19F, 20.23F, 75.56001F)
            gp.AddBezier(20.23F, 75.56001F, 21.68F, 76.46001F, 22.68F, 76.66F, 24.31F, 77.2F)
            gp.AddBezier(24.31F, 77.2F, 25.82F, 77.69F, 26.45F, 78.56001F, 27.99F, 78.91F)
            gp.AddBezier(27.99F, 78.91F, 30.13F, 79.4F, 31.39F, 79.12F, 33.58F, 79.44F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(20.49F, 49.85F, 21.26F, 49.6F, 21.76F, 49.65F, 22.56F, 49.65F)
            gp.StartFigure()
            gp.AddLine(22.56F, 49.65F, 27.33F, 49.98F)
            gp.AddLine(27.33F, 49.98F, 36.4F, 49.98F)
            gp.AddBezier(36.4F, 49.98F, 37.96F, 49.98F, 38.95F, 49.95F, 40.35F, 50.64F)
            gp.AddBezier(40.35F, 50.64F, 41.62F, 51.26F, 41.99F, 52.23F, 42.52F, 53.53F)
            gp.AddBezier(42.52F, 53.53F, 43.06001F, 52.71F, 43.15001F, 52.03F, 43.90001F, 51.43F)
            gp.AddBezier(43.90001F, 51.43F, 45.54F, 50.1F, 47.17001F, 50.56F, 49.29F, 50.49F)
            gp.AddLine(49.29F, 50.49F, 59.09F, 50.49F)
            gp.AddBezier(59.09F, 50.49F, 60.47001F, 50.1F, 61.33001F, 50.34F, 62.77F, 50.11F)
            gp.AddLine(62.77F, 50.11F, 64.41F, 50.11F)
            gp.AddBezier(64.41F, 50.11F, 65.10001F, 50.26F, 65.51F, 50.34F, 66.12F, 50.7F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(41.07F, 42.61F, 41.4F, 43.46F, 42.01F, 43.99F, 42.91F, 43.99F)
            gp.AddBezier(42.91F, 43.99F, 43.68F, 43.99F, 44.24F, 43.56F, 44.55F, 42.87F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(39.89F, 79.31F, 40.66F, 78.39F, 41.3F, 77.6F, 42.52F, 77.6F)
            gp.AddBezier(42.52F, 77.6F, 42.82F, 77.6F, 42.96F, 77.7F, 43.24F, 77.8F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(46.8F, 78.45F, 48.21F, 79.03F, 49.07F, 79.5F, 50.61F, 79.5F)
            gp.AddBezier(50.61F, 79.5F, 52.8F, 79.5F, 54.05F, 79.29F, 56.2F, 78.97F)
            gp.AddBezier(56.2F, 78.97F, 58.24F, 78.67F, 59.52F, 78.15F, 61.0F, 76.67F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(16.94F, 84.5F, 16.97F, 84.71F, 17.02F, 84.88F, 17.07F, 85.09F)
            gp.StartFigure()
            gp.AddLine(17.07F, 85.09F, 17.27F, 88.9F)
            gp.StartFigure()
            gp.AddLine(17.27F, 88.9F, 17.07F, 90.21F)
            gp.AddBezier(17.07F, 90.21F, 17.5F, 93.43F, 17.89F, 95.24F, 17.63F, 98.46F)
            gp.StartFigure()
            gp.AddLine(17.63F, 98.46F, 17.1F, 108.16F)
            gp.AddBezier(17.1F, 108.16F, 16.99F, 112.07F, 17.07F, 113.1F, 17.53F, 114.86F)
            gp.AddBezier(17.53F, 114.86F, 17.86F, 116.16F, 17.97F, 117.11F, 18.98F, 118.02F)
            gp.AddBezier(18.98F, 118.02F, 19.57F, 118.32F, 19.85F, 118.4F, 20.49F, 118.55F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(20.29F, 118.5F, 20.57F, 118.68F, 20.77F, 118.81F, 21.08F, 118.96F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(25.75F, 122.71F, 26.93F, 123.89F, 27.41F, 124.73F, 28.18F, 126.2F)
            gp.AddBezier(28.18F, 126.2F, 28.71F, 127.19F, 29.15F, 127.76F, 29.3F, 128.9F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(33.31F, 134.02F, 33.7F, 134.96F, 33.94F, 135.55F, 34.49F, 136.39F)
            gp.AddBezier(34.49F, 136.39F, 35.16F, 137.39F, 35.23F, 138.2F, 35.87F, 139.22F)
            gp.AddBezier(35.87F, 139.22F, 37.02F, 141.03F, 38.11F, 141.74F, 39.75F, 143.1F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(38.64F, 142.9F, 37.85F, 147.57F)
            gp.AddBezier(37.85F, 147.57F, 38.11F, 149.35F, 39.03F, 151.58F, 40.81F, 151.58F)
            gp.AddBezier(40.81F, 151.58F, 41.75F, 151.58F, 42.37F, 150.53F, 43.31F, 150.53F)
            gp.AddBezier(43.31F, 150.53F, 43.93F, 150.53F, 44.26F, 150.79F, 44.89F, 150.79F)
            gp.AddBezier(44.89F, 150.79F, 46.32F, 150.79F, 47.52F, 149.66F, 47.52F, 148.23F)
            gp.AddBezier(47.52F, 148.23F, 47.52F, 146.37F, 46.47F, 145.42F, 46.47F, 143.56F)
            gp.AddBezier(46.47F, 143.56F, 46.47F, 143.3F, 46.5F, 143.17F, 46.54F, 142.9F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(46.33F, 142.77F, 47.81F, 142.03F, 48.48F, 141.22F, 49.42F, 139.88F)
            gp.AddBezier(49.42F, 139.88F, 50.83F, 137.84F, 51.61F, 136.61F, 52.64F, 134.36F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(40.94F, 142.04F, 40.86F, 142.47F, 40.91F, 142.7F, 40.91F, 143.12F)
            gp.AddBezier(40.91F, 143.12F, 40.91F, 144.48F, 41.24F, 145.21F, 41.4F, 146.57F)
            gp.AddBezier(41.4F, 146.57F, 41.52F, 147.51F, 41.52F, 148.74F, 42.45F, 148.74F)
            gp.AddBezier(42.45F, 148.74F, 42.91F, 148.74F, 43.31F, 148.84F, 43.63F, 148.54F)
            gp.AddBezier(43.63F, 148.54F, 44.14F, 148.06F, 43.81F, 147.44F, 44.02F, 146.76F)
            gp.AddBezier(44.02F, 146.76F, 44.55F, 145.18F, 45.14F, 144.31F, 45.14F, 142.65F)
            gp.StartFigure()
            gp.AddLine(45.14F, 142.65F, 44.81F, 139.86F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(56.2F, 125.93F, 56.5F, 124.6F, 56.69F, 123.73F, 57.58F, 122.71F)
            gp.AddBezier(57.58F, 122.71F, 58.91F, 121.2F, 60.31F, 121.03F, 62.18F, 120.28F)
            gp.AddBezier(62.18F, 120.28F, 63.91F, 119.57F, 64.74F, 118.8F, 66.13F, 117.58F)
            gp.AddBezier(66.13F, 117.58F, 67.05F, 116.77F, 67.84F, 116.41F, 68.3F, 115.28F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(68.01F, 79.5F, 67.7F, 83.31F, 67.6F, 85.35F, 67.12F, 89.17F)
            gp.AddBezier(67.12F, 89.17F, 67.0F, 90.14F, 66.78001F, 90.65F, 66.59F, 91.6F)
            gp.AddBezier(66.59F, 91.6F, 66.29F, 93.08F, 66.11F, 93.9F, 65.87F, 95.41F)
            gp.AddBezier(65.87F, 95.41F, 66.48F, 100.79F, 66.23F, 102.84F, 66.99001F, 106.46F)
            gp.AddBezier(66.99001F, 106.46F, 67.66F, 109.7F, 68.60001F, 111.52F, 68.37F, 114.81F)
            gp.StartFigure()
            gp.AddLine(68.37F, 114.81F, 68.11F, 116.59F)
            gp.AddBezier(68.11F, 116.59F, 68.47F, 117.67F, 68.19F, 118.35F, 68.11F, 119.48F)
            gp.AddBezier(68.11F, 119.48F, 68.46F, 120.32F, 68.36F, 120.89F, 68.5F, 121.78F)
            gp.AddBezier(68.5F, 121.78F, 68.93F, 124.23F, 68.63F, 125.74F, 69.22F, 128.16F)
            gp.StartFigure()
            gp.AddLine(69.22F, 128.16F, 69.71F, 139.41F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(42.0F, 108.04F, 41.44F, 108.07F, 40.75F, 108.2F, 40.75F, 108.76F)
            gp.AddBezier(40.75F, 108.76F, 40.75F, 109.15F, 41.19F, 109.27F, 41.54F, 109.42F)
            gp.AddBezier(41.54F, 109.42F, 42.07F, 109.67F, 42.39F, 109.88F, 42.99F, 109.88F)
            gp.AddBezier(42.99F, 109.88F, 43.81F, 109.88F, 44.47F, 109.63F, 44.83F, 108.89F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(15.89F, 165.12F, 15.81F, 172.39F)
            gp.AddBezier(15.81F, 172.39F, 15.6F, 173.46F, 15.83F, 174.05F, 15.89F, 175.12F)
            gp.AddBezier(15.89F, 175.12F, 16.12F, 178.41F, 16.38F, 180.25F, 16.55F, 183.54F)
            gp.AddBezier(16.55F, 183.54F, 16.73F, 187.07F, 17.39F, 189.01F, 17.67F, 192.55F)
            gp.AddBezier(17.67F, 192.55F, 17.75F, 193.54F, 17.97F, 194.06F, 18.06F, 195.05F)
            gp.AddBezier(18.06F, 195.05F, 18.29F, 197.32F, 18.91F, 198.5F, 19.24F, 200.77F)
            gp.AddBezier(19.24F, 200.77F, 19.82F, 204.73F, 20.26F, 207.02F, 21.09F, 210.62F)
            gp.StartFigure()
            gp.AddLine(21.09F, 210.62F, 21.34F, 211.33F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(21.35F, 207.94F, 21.91F, 229.62F, 21.66F, 231.88F, 22.34F, 235.82F)
            gp.AddBezier(22.34F, 235.82F, 22.7F, 237.96F, 23.05F, 239.16F, 23.46F, 241.28F)
            gp.AddBezier(23.46F, 241.28F, 23.92F, 243.6F, 24.41F, 244.83F, 25.04F, 247.13F)
            gp.AddBezier(25.04F, 247.13F, 25.3F, 248.13F, 25.57F, 248.69F, 25.76F, 249.7F)
            gp.AddBezier(25.76F, 249.7F, 26.47F, 253.23F, 26.75F, 255.28F, 27.86F, 258.71F)
            gp.AddBezier(27.86F, 258.71F, 28.78F, 261.54F, 29.44F, 263.18F, 29.96F, 266.14F)
            gp.StartFigure()
            gp.AddLine(29.96F, 266.14F, 31.58F, 273.92F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(34.83F, 283.62F, 36.47F, 283.62F, 37.39F, 283.75F, 39.04F, 283.65F)
            gp.AddBezier(39.04F, 283.65F, 39.73F, 283.65F, 40.17F, 283.35F, 40.71F, 282.96F)
            gp.AddBezier(40.71F, 282.96F, 41.16F, 282.64F, 41.56F, 282.06F, 41.48F, 281.48F)
            gp.AddBezier(41.48F, 281.48F, 41.48F, 281.47F, 39.67F, 268.62F, 39.67F, 268.62F)
            gp.StartFigure()
            gp.AddLine(39.67F, 268.62F, 39.97F, 256.32F)
            gp.AddBezier(39.97F, 256.32F, 40.23F, 251.91F, 40.28F, 250.88F, 40.96F, 249.09F)
            gp.StartFigure()
            gp.AddLine(40.96F, 249.09F, 41.95F, 242.88F)
            gp.AddBezier(41.95F, 242.88F, 41.88F, 240.74F, 41.95F, 239.97F, 41.82F, 238.11F)
            gp.AddBezier(41.82F, 238.11F, 41.61F, 235.12F, 41.56F, 233.57F, 41.03F, 230.48F)
            gp.AddBezier(41.03F, 230.48F, 40.55F, 227.68F, 40.36F, 226.11F, 39.85F, 223.31F)
            gp.AddBezier(39.85F, 223.31F, 39.69F, 222.41F, 39.36F, 221.93F, 39.26F, 221.01F)
            gp.AddBezier(39.26F, 221.01F, 39.13F, 219.81F, 39.29F, 219.4F, 39.09F, 218.2F)
            gp.StartFigure()
            gp.AddLine(39.09F, 218.2F, 39.13F, 217.92F)
            gp.StartFigure()
            gp.AddLine(39.13F, 217.92F, 39.94F, 209.54F)
            gp.AddBezier(39.94F, 209.54F, 40.55F, 207.6F, 39.94F, 206.35F, 39.94F, 204.31F)
            gp.AddBezier(39.94F, 204.31F, 39.53F, 203.39F, 39.35F, 202.85F, 39.31F, 201.88F)
            gp.StartFigure()
            gp.AddLine(39.31F, 201.88F, 39.33F, 201.09F)
            gp.AddBezier(39.33F, 201.09F, 39.41F, 200.56F, 39.59F, 199.71F, 39.66F, 198.99F)
            gp.StartFigure()
            gp.AddLine(39.66F, 198.99F, 40.07F, 194.58F)
            gp.AddBezier(40.07F, 194.58F, 40.32F, 185.3F, 40.51F, 183.46F, 40.56001F, 179.65F)
            gp.AddBezier(40.56001F, 179.65F, 40.58001F, 178.3F, 40.97001F, 177.61F, 41.04F, 176.23F)
            gp.StartFigure()
            gp.AddLine(41.04F, 176.23F, 41.3F, 171.96F)
            gp.AddBezier(41.3F, 171.96F, 41.43F, 170.78F, 41.4F, 170.08F, 41.32F, 168.93F)
            gp.StartFigure()
            gp.AddLine(41.32F, 168.93F, 41.55F, 164.39F)
            gp.AddBezier(41.55F, 164.39F, 41.96F, 160.31F, 41.79F, 158.88F, 42.36F, 156.23F)
            gp.AddBezier(42.36F, 156.23F, 42.56001F, 155.31F, 42.34F, 152.0F, 42.69001F, 151.3F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(28.32F, 280.67F, 27.69F, 280.92F, 27.58F, 281.48F, 27.46F, 282.12F)
            gp.AddBezier(27.46F, 282.12F, 27.36F, 282.63F, 27.07F, 282.91F, 27.07F, 283.43F)
            gp.AddBezier(27.07F, 283.43F, 27.07F, 284.04F, 27.84F, 284.15F, 28.45F, 284.15F)
            gp.AddBezier(28.45F, 284.15F, 28.94F, 284.15F, 29.21F, 283.94F, 29.63F, 283.69F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(26.41F, 280.2F, 25.62F, 281.29F, 24.77F, 281.88F, 24.77F, 283.23F)
            gp.AddBezier(24.77F, 283.23F, 24.77F, 284.0F, 26.89F, 284.16F, 27.66F, 284.06F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(24.17F, 280.73F, 23.63F, 281.42F, 22.86F, 281.7F, 22.86F, 282.57F)
            gp.AddBezier(22.86F, 282.57F, 22.86F, 283.39F, 25.02F, 283.95F, 25.85F, 283.95F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(32.0F, 280.73F, 31.56F, 281.02F, 31.37F, 281.32F, 30.95F, 281.65F)
            gp.AddBezier(30.95F, 281.65F, 30.28F, 282.16F, 29.57F, 282.51F, 29.57F, 283.36F)
            gp.AddBezier(29.57F, 283.36F, 29.57F, 283.98F, 30.31F, 284.05F, 30.88F, 284.26F)
            gp.AddLine(30.88F, 284.26F, 34.17F, 284.26F)
            gp.AddBezier(34.17F, 284.26F, 34.88F, 284.09F, 35.3F, 284.0F, 35.95F, 283.68F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(32.59F, 272.31F, 32.59F, 273.99F, 31.7F, 273.64F, 30.29F, 274.55F)
            gp.AddBezier(30.29F, 274.55F, 28.99F, 275.37F, 28.25F, 275.95F, 27.33F, 277.18F)
            gp.AddBezier(27.33F, 277.18F, 26.74F, 277.99F, 26.31F, 278.54F, 25.36F, 278.89F)
            gp.AddBezier(25.36F, 278.89F, 24.78F, 279.1F, 24.32F, 279.01F, 23.78F, 279.28F)
            gp.AddBezier(23.78F, 279.28F, 23.15F, 279.61F, 22.6F, 280.13F, 22.1F, 280.64F)
            gp.AddBezier(22.1F, 280.64F, 21.6F, 281.15F, 21.06F, 281.74F, 20.79F, 282.41F)
            gp.AddBezier(20.79F, 282.41F, 20.6F, 282.89F, 20.75F, 283.38F, 21.25F, 283.59F)
            gp.AddBezier(21.25F, 283.59F, 21.75F, 283.8F, 23.63F, 283.4F, 24.15F, 283.61F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(22.14F, 198.14F, 22.67F, 201.95F)
            gp.AddBezier(22.67F, 201.95F, 22.92F, 205.58F, 23.38F, 206.49F, 23.98F, 208.2F)
            gp.AddBezier(23.98F, 208.2F, 24.87F, 210.65F, 25.43F, 212.21F, 27.4F, 213.86F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(54.56F, 280.34F, 55.23F, 280.67F, 55.61F, 280.9F, 56.27F, 281.26F)
            gp.AddBezier(56.27F, 281.26F, 57.12F, 281.74F, 57.91F, 282.18F, 57.91F, 283.17F)
            gp.AddBezier(57.91F, 283.17F, 57.91F, 283.84F, 57.07F, 283.94F, 56.4F, 284.02F)
            gp.AddLine(56.4F, 284.02F, 53.24F, 284.02F)
            gp.AddBezier(53.24F, 284.02F, 51.83F, 283.81F, 51.66F, 282.26F, 50.28F, 281.92F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(51.86F, 283.15F, 51.14F, 283.54F, 50.43F, 283.82F, 49.59F, 283.82F)
            gp.AddBezier(49.59F, 283.82F, 48.57F, 283.82F, 47.85F, 283.62F, 47.12F, 282.9F)
            gp.AddBezier(47.12F, 282.9F, 46.68F, 282.46F, 45.59F, 282.73F, 44.95F, 282.83F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(37.06F, 283.68F, 38.49F, 283.68F, 39.26F, 282.32F, 39.56F, 280.93F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(63.17F, 281.39F, 63.3F, 281.97F, 63.5F, 282.28F, 63.5F, 282.87F)
            gp.AddBezier(63.5F, 282.87F, 63.5F, 283.45F, 63.02F, 283.87F, 62.45F, 283.95F)
            gp.StartFigure()
            gp.AddLine(62.45F, 283.95F, 61.23F, 283.55F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(63.34F, 283.4F, 63.54F, 283.6F, 63.94F, 284.08F, 64.22F, 284.08F)
            gp.AddBezier(64.22F, 284.08F, 64.6F, 284.08F, 65.02F, 283.72F, 65.35F, 283.54F)
            gp.StartFigure()
            gp.AddLine(65.35F, 283.54F, 65.3F, 283.48F)
            gp.AddBezier(65.3F, 283.48F, 65.09F, 283.26F, 64.89999F, 283.05F, 64.74999F, 282.7F)
            gp.AddBezier(64.74999F, 282.7F, 64.46999F, 282.01F, 64.64999F, 281.35F, 64.08999F, 280.86F)
            gp.AddBezier(64.08999F, 280.86F, 63.57999F, 280.42F, 63.00999F, 280.6F, 62.44999F, 280.2F)
            gp.AddBezier(62.44999F, 280.2F, 62.01999F, 279.91F, 61.96999F, 279.48F, 61.52999F, 279.21F)
            gp.AddBezier(61.52999F, 279.21F, 59.99999F, 278.26F, 59.20999F, 277.7F, 57.71999F, 276.71F)
            gp.AddBezier(57.71999F, 276.71F, 56.89999F, 275.56F, 56.05999F, 275.3F, 55.15999F, 274.21F)
            gp.AddBezier(55.15999F, 274.21F, 54.94999F, 273.55F, 54.56999F, 273.29F, 54.36999F, 272.63F)
            gp.AddBezier(54.36999F, 272.63F, 53.93999F, 271.25F, 53.77999F, 270.39F, 53.77999F, 268.95F)
            gp.AddBezier(53.77999F, 268.95F, 53.77999F, 265.92F, 54.13999F, 264.23F, 54.82999F, 261.26F)
            gp.AddBezier(54.82999F, 261.26F, 55.05999F, 260.26F, 55.30999F, 259.88F, 55.54999F, 258.89F)
            gp.AddBezier(55.54999F, 258.89F, 56.43999F, 255.29F, 57.36999F, 253.43F, 58.37999F, 249.88F)
            gp.AddBezier(58.37999F, 249.88F, 58.75999F, 248.53F, 58.96999F, 247.74F, 59.29999F, 246.39F)
            gp.AddBezier(59.29999F, 246.39F, 59.68999F, 244.76F, 60.10999F, 243.89F, 60.41999F, 242.25F)
            gp.AddBezier(60.41999F, 242.25F, 60.97999F, 239.27F, 61.07999F, 237.55F, 61.46999F, 234.56F)
            gp.AddBezier(61.46999F, 234.56F, 61.89999F, 231.35F, 62.71999F, 229.58F, 62.71999F, 226.34F)
            gp.AddBezier(62.71999F, 226.34F, 62.73999F, 226.0F, 62.76999F, 225.66F, 62.78999F, 225.31F)
            gp.AddBezier(62.78999F, 225.31F, 62.87999F, 224.06F, 62.95998F, 222.81F, 63.04998F, 221.56F)
            gp.AddBezier(63.04998F, 221.56F, 63.15998F, 219.98F, 63.26999F, 218.41F, 63.36998F, 216.83F)
            gp.AddBezier(63.36998F, 216.83F, 63.45998F, 215.48F, 63.58998F, 214.13F, 63.58998F, 212.79F)
            gp.AddBezier(63.58998F, 212.79F, 63.58998F, 212.15F, 63.58998F, 211.5F, 63.59998F, 210.86F)
            gp.AddBezier(63.59998F, 210.86F, 63.59998F, 210.29F, 63.65998F, 209.78F, 63.75998F, 209.22F)
            gp.AddBezier(63.75998F, 209.22F, 63.94998F, 208.12F, 64.16998F, 207.02F, 64.49998F, 205.95F)
            gp.AddBezier(64.49998F, 205.95F, 64.72999F, 205.18F, 64.83998F, 204.75F, 65.08998F, 203.98F)
            gp.AddBezier(65.08998F, 203.98F, 65.46998F, 202.83F, 65.39998F, 202.19F, 65.67998F, 201.02F)
            gp.AddBezier(65.67998F, 201.02F, 66.18998F, 197.9F, 66.51997F, 196.19F, 66.66998F, 193.06F)
            gp.AddBezier(66.66998F, 193.06F, 66.87997F, 188.52F, 67.45998F, 186.02F, 67.78998F, 181.49F)
            gp.AddBezier(67.78998F, 181.49F, 67.86998F, 180.24F, 67.99998F, 179.52F, 68.04998F, 178.27F)
            gp.AddBezier(68.04998F, 178.27F, 68.16998F, 175.74F, 68.04998F, 174.29F, 68.43998F, 171.76F)
            gp.AddBezier(68.43998F, 171.76F, 68.76998F, 169.61F, 68.73998F, 168.39F, 69.02998F, 166.24F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(42.65F, 151.31F, 42.91F, 151.97F, 42.73F, 155.4F, 42.85F, 156.11F)
            gp.AddBezier(42.85F, 156.11F, 42.95F, 156.78F, 43.05F, 157.01F, 42.92F, 157.69F)
            gp.StartFigure()
            gp.AddLine(42.92F, 157.69F, 43.32F, 160.78F)
            gp.StartFigure()
            gp.AddLine(43.32F, 160.78F, 43.71F, 175.28F)
            gp.AddBezier(43.71F, 175.28F, 43.71F, 175.91F, 43.62F, 176.06F, 43.78F, 176.69F)
            gp.AddBezier(43.78F, 176.69F, 44.31F, 178.79F, 44.34F, 180.06F, 44.57F, 182.08F)
            gp.AddBezier(44.57F, 182.08F, 44.67F, 183.03F, 44.83F, 183.56F, 44.90001F, 184.51F)
            gp.AddBezier(44.90001F, 184.51F, 45.26001F, 189.0F, 45.06001F, 191.73F, 45.36F, 196.22F)
            gp.AddBezier(45.36F, 196.22F, 45.46F, 197.89F, 45.73F, 198.81F, 45.84F, 200.28F)
            gp.StartFigure()
            gp.AddLine(45.84F, 200.28F, 45.89F, 200.76F)
            gp.StartFigure()
            gp.AddLine(45.89F, 200.76F, 45.5F, 204.77F)
            gp.StartFigure()
            gp.AddLine(45.5F, 204.77F, 46.16F, 212.67F)
            gp.AddBezier(46.16F, 212.67F, 46.25F, 214.77F, 46.34F, 215.62F, 46.44F, 216.47F)
            gp.AddBezier(46.44F, 216.47F, 46.48F, 216.84F, 46.56F, 217.23F, 46.56F, 217.6F)
            gp.AddBezier(46.56F, 217.6F, 46.57F, 218.47F, 46.59F, 219.38F, 46.43F, 220.23F)
            gp.AddBezier(46.43F, 220.23F, 46.02F, 222.5F, 45.28F, 223.68F, 44.85F, 225.95F)
            gp.AddBezier(44.85F, 225.95F, 44.23F, 229.27F, 43.9F, 231.11F, 43.47F, 234.43F)
            gp.AddBezier(43.47F, 234.43F, 43.37F, 235.27F, 43.35F, 235.76F, 43.16F, 236.6F)
            gp.AddBezier(43.16F, 236.6F, 43.0F, 241.15F, 42.95F, 241.68F, 42.95F, 242.52F)
            gp.AddBezier(42.95F, 242.52F, 42.95F, 245.02F, 43.48F, 246.4F, 43.8F, 248.9F)
            gp.AddBezier(43.8F, 248.9F, 44.23999F, 252.17F, 44.43F, 254.18F, 44.84999F, 257.45F)
            gp.AddBezier(44.84999F, 257.45F, 44.93F, 258.05F, 45.0F, 258.66F, 45.01999F, 259.26F)
            gp.AddBezier(45.01999F, 259.26F, 45.04999F, 260.1F, 44.98999F, 260.89F, 45.14999F, 261.72F)
            gp.AddBezier(45.14999F, 261.72F, 45.30999F, 262.57F, 45.12F, 263.59F, 44.93999F, 264.42F)
            gp.AddBezier(44.93999F, 264.42F, 44.77999F, 270.26F, 44.57999F, 270.7F, 44.39999F, 271.52F)
            gp.AddBezier(44.39999F, 271.52F, 43.58999F, 274.99F, 42.81999F, 276.93F, 42.81999F, 280.46F)
            gp.AddBezier(42.81999F, 280.46F, 42.81999F, 281.82F, 43.35999F, 282.7F, 44.45999F, 283.49F)
            gp.AddBezier(44.45999F, 283.49F, 44.94999F, 283.83F, 47.37999F, 283.42F, 47.99999F, 283.51F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(45.48F, 271.59F, 45.15F, 272.58F, 44.69F, 273.09F, 44.69F, 274.12F)
            gp.AddBezier(44.69F, 274.12F, 44.69F, 275.65F, 45.63F, 277.18F, 47.16F, 277.18F)
            gp.AddBezier(47.16F, 277.18F, 48.0F, 277.18F, 48.51F, 276.59F, 48.9F, 275.86F)
            gp.AddBezier(48.9F, 275.86F, 49.49F, 274.78F, 49.16F, 273.89F, 49.16F, 272.64F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(39.36F, 272.31F, 39.29F, 272.64F)
            gp.StartFigure()
            gp.AddLine(39.29F, 272.64F, 39.75F, 275.47F)
            gp.AddBezier(39.75F, 275.47F, 39.63F, 276.33F, 39.06F, 277.05F, 38.2F, 277.05F)
            gp.AddBezier(38.2F, 277.05F, 37.53F, 277.05F, 37.08F, 276.67F, 36.79F, 276.06F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(31.14F, 282.84F, 31.55F, 282.84F, 31.78F, 282.86F, 32.19F, 282.86F)
            gp.AddBezier(32.19F, 282.86F, 32.5F, 282.86F, 32.68F, 282.84F, 32.98F, 282.91F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(54.49F, 282.84F, 55.34F, 282.61F, 55.84F, 282.45F, 56.73F, 282.45F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(62.12F, 199.52F, 61.54F, 202.97F, 61.07F, 204.83F, 60.28F, 208.2F)
            gp.AddBezier(60.28F, 208.2F, 59.77F, 210.39F, 59.49F, 211.93F, 57.85F, 213.46F)
            gp.AddBezier(57.85F, 213.46F, 57.19F, 214.07F, 56.83F, 214.63F, 55.94F, 214.84F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(17.53F, 114.88F, 16.08F, 118.4F, 17.1F, 120.93F, 16.25F, 124.68F)
            gp.StartFigure()
            gp.AddLine(16.25F, 124.68F, 15.92F, 138.09F)
            gp.AddBezier(15.92F, 138.09F, 15.33F, 140.16F, 15.9F, 142.23F, 15.9F, 144.4F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(129.1F, 15.79F, 128.82F, 15.51F, 128.22F, 15.03F, 127.82F, 15.03F)
            gp.AddBezier(127.82F, 15.03F, 127.26F, 15.03F, 127.23F, 15.79F, 127.23F, 16.35F)
            gp.AddBezier(127.23F, 16.35F, 127.23F, 18.03F, 127.69F, 18.95F, 127.69F, 20.62F)
            gp.AddBezier(127.69F, 20.62F, 127.69F, 21.39F, 127.72F, 21.82F, 127.72F, 22.59F)
            gp.AddBezier(127.72F, 22.59F, 127.72F, 23.91F, 128.46F, 25.39F, 129.66F, 25.88F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(155.34F, 208.84F, 154.62F, 208.36F, 153.61F, 208.36F, 152.96F, 208.66F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(128.86F, 208.84F, 128.31F, 208.84F, 127.76F, 208.84F, 127.22F, 208.84F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(59.63F, 283.75F, 60.47F, 283.69F)
            gp.AddBezier(60.47F, 283.69F, 60.72F, 283.67F, 60.99F, 283.63F, 61.22F, 283.55F)
            gp.AddBezier(61.22F, 283.55F, 61.61F, 283.42F, 61.91F, 283.19F, 61.91F, 282.76F)
            gp.AddBezier(61.91F, 282.76F, 61.91F, 281.87F, 61.63F, 281.36F, 61.19F, 280.59F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(57.63F, 283.69F, 58.44F, 283.88F)
            gp.AddBezier(58.44F, 283.88F, 59.08F, 283.98F, 59.95F, 283.86F, 59.95F, 283.22F)
            gp.AddBezier(59.95F, 283.22F, 59.95F, 282.81F, 59.75F, 282.56F, 59.69F, 282.17F)
            gp.AddBezier(59.69F, 282.17F, 59.54F, 281.4F, 59.49F, 280.39F, 58.7F, 280.39F)
            gp.AddBezier(58.7F, 280.39F, 58.6F, 280.39F, 58.54F, 280.46F, 58.44F, 280.46F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(150.99F, 26.63F, 151.48F, 26.35F)
            gp.AddBezier(151.48F, 26.35F, 153.09F, 25.41F, 153.32F, 22.78F, 153.58F, 20.96F)
            gp.AddBezier(153.58F, 20.96F, 153.78F, 19.53F, 154.11F, 18.72F, 154.11F, 17.28F)
            gp.AddBezier(154.11F, 17.28F, 154.11F, 16.46F, 154.08F, 15.37F, 153.26F, 15.37F)
            gp.AddBezier(153.26F, 15.37F, 153.03F, 15.37F, 152.39F, 16.06F, 152.19F, 16.18F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(160.91F, 208.35F, 160.86F, 209.06F, 161.59F, 211.71F, 161.59F, 212.11F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(151.21F, 274.36F, 150.97F, 274.32F, 150.6F, 274.14F, 150.45F, 273.96F)
            gp.AddBezier(150.45F, 273.96F, 150.18F, 273.63F, 150.18F, 273.21F, 150.18F, 272.78F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(113.07F, 144.91F, 112.09F, 142.35F, 111.38F, 140.9F, 111.18F, 138.2F)
            gp.StartFigure()
            gp.AddLine(111.18F, 138.2F, 110.58F, 134.42F)
            gp.StartFigure()
            gp.AddLine(110.58F, 134.42F, 110.73F, 126.81F)
            gp.StartFigure()
            gp.AddLine(110.73F, 126.81F, 110.92F, 124.88F)
            gp.AddBezier(110.92F, 124.88F, 110.95F, 123.46F, 110.7F, 122.65F, 110.72F, 121.23F)
            gp.StartFigure()
            gp.AddLine(110.72F, 121.23F, 111.78F, 110.51F)
            gp.StartFigure()
            gp.AddLine(111.78F, 110.51F, 111.8F, 106.19F)
            gp.StartFigure()
            gp.AddLine(111.8F, 106.19F, 111.52F, 103.68F)
            gp.AddBezier(111.52F, 103.68F, 111.51F, 100.98F, 111.79F, 99.45999F, 112.35F, 96.77999F)
            gp.AddBezier(112.35F, 96.77999F, 112.59F, 95.62999F, 112.76F, 94.96999F, 113.12F, 93.86999F)
            gp.AddBezier(113.12F, 93.86999F, 113.39F, 92.99998F, 113.73F, 92.55999F, 113.95F, 91.68999F)
            gp.AddBezier(113.95F, 91.68999F, 114.44F, 89.82999F, 114.33F, 88.65999F, 114.76F, 86.76999F)
            gp.StartFigure()
            gp.AddLine(114.76F, 86.76999F, 114.55F, 85.12999F)
            gp.StartFigure()
            gp.AddLine(114.55F, 85.12999F, 114.54F, 83.62999F)
            gp.StartFigure()
            gp.AddLine(114.54F, 83.62999F, 115.4F, 77.70999F)
            gp.AddBezier(115.4F, 77.70999F, 115.25F, 76.75999F, 115.14F, 76.21999F, 115.38F, 75.26999F)
            gp.StartFigure()
            gp.AddLine(115.38F, 75.26999F, 115.42F, 71.35999F)
            gp.AddBezier(115.42F, 71.35999F, 115.14F, 69.94998F, 115.03F, 69.14999F, 114.7F, 67.73998F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(140.26F, 151.81F, 140.0F, 152.47F, 140.18F, 155.9F, 140.06F, 156.61F)
            gp.AddBezier(140.06F, 156.61F, 139.96F, 157.28F, 139.86F, 157.51F, 139.99F, 158.19F)
            gp.StartFigure()
            gp.AddLine(139.99F, 158.19F, 139.6F, 161.28F)
            gp.StartFigure()
            gp.AddLine(139.6F, 161.28F, 139.21F, 175.78F)
            gp.AddBezier(139.21F, 175.78F, 139.21F, 176.41F, 139.3F, 176.56F, 139.14F, 177.19F)
            gp.AddBezier(139.14F, 177.19F, 138.61F, 179.29F, 138.58F, 180.56F, 138.35F, 182.58F)
            gp.AddBezier(138.35F, 182.58F, 138.25F, 183.53F, 138.09F, 184.06F, 138.02F, 185.01F)
            gp.AddBezier(138.02F, 185.01F, 137.66F, 189.5F, 137.86F, 192.23F, 137.56F, 196.72F)
            gp.AddBezier(137.56F, 196.72F, 137.43F, 198.84F, 137.03F, 199.75F, 137.03F, 202.11F)
            gp.StartFigure()
            gp.AddLine(137.03F, 202.11F, 137.42F, 205.27F)
            gp.StartFigure()
            gp.AddLine(137.42F, 205.27F, 136.76F, 213.17F)
            gp.StartFigure()
            gp.AddLine(136.76F, 213.17F, 136.37F, 217.97F)
            gp.AddBezier(136.37F, 217.97F, 136.45F, 219.05F, 136.3F, 219.66F, 136.5F, 220.73F)
            gp.AddBezier(136.5F, 220.73F, 136.91F, 223.0F, 137.65F, 224.18F, 138.08F, 226.45F)
            gp.AddBezier(138.08F, 226.45F, 138.7F, 229.77F, 139.03F, 231.61F, 139.46F, 234.93F)
            gp.AddBezier(139.46F, 234.93F, 139.56F, 235.77F, 139.58F, 236.26F, 139.77F, 237.1F)
            gp.AddBezier(139.77F, 237.1F, 139.93F, 241.65F, 139.98F, 242.18F, 139.98F, 243.02F)
            gp.AddBezier(139.98F, 243.02F, 139.98F, 245.52F, 139.45F, 246.9F, 139.13F, 249.4F)
            gp.AddBezier(139.13F, 249.4F, 138.69F, 252.67F, 138.5F, 254.68F, 138.08F, 257.95F)
            gp.AddBezier(138.08F, 257.95F, 137.88F, 259.46F, 137.82F, 261.37F, 137.88F, 262.42F)
            gp.StartFigure()
            gp.AddLine(137.88F, 262.42F, 138.0F, 264.92F)
            gp.AddBezier(138.0F, 264.92F, 138.16F, 270.76F, 138.36F, 271.2F, 138.54F, 272.02F)
            gp.AddBezier(138.54F, 272.02F, 139.35F, 275.49F, 140.12F, 277.43F, 140.12F, 280.96F)
            gp.AddBezier(140.12F, 280.96F, 140.12F, 282.32F, 139.58F, 283.2F, 138.48F, 283.99F)
            gp.AddBezier(138.48F, 283.99F, 137.71F, 284.52F, 136.41F, 284.0F, 135.6F, 283.87F)
            gp.AddBezier(135.6F, 283.87F, 134.46F, 283.69F, 133.28F, 283.98F, 132.14F, 283.98F)
            gp.AddBezier(132.14F, 283.98F, 130.09F, 283.98F, 128.04F, 283.98F, 125.99F, 283.98F)
            gp.AddBezier(125.99F, 283.98F, 124.77F, 283.98F, 123.58F, 284.19F, 122.34F, 284.26F)
            gp.AddBezier(122.34F, 284.26F, 121.31F, 284.32F, 120.21F, 284.32F, 119.21F, 284.54F)
            gp.StartFigure()
            gp.AddLine(119.21F, 284.54F, 118.69F, 284.59F)
            gp.AddBezier(118.69F, 284.59F, 118.31F, 284.59F, 118.1F, 284.44F, 117.77F, 284.26F)
            gp.StartFigure()
            gp.AddLine(117.77F, 284.26F, 117.56F, 284.05F)
            gp.AddBezier(117.56F, 284.05F, 117.79F, 283.8F, 118.01F, 283.59F, 118.16F, 283.21F)
            gp.AddBezier(118.16F, 283.21F, 118.44F, 282.52F, 118.26F, 281.86F, 118.82F, 281.37F)
            gp.AddBezier(118.82F, 281.37F, 119.33F, 280.93F, 119.9F, 281.11F, 120.46F, 280.71F)
            gp.AddBezier(120.46F, 280.71F, 120.89F, 280.42F, 120.94F, 279.99F, 121.38F, 279.72F)
            gp.AddBezier(121.38F, 279.72F, 122.91F, 278.77F, 123.7F, 278.21F, 125.19F, 277.22F)
            gp.AddBezier(125.19F, 277.22F, 126.01F, 276.07F, 126.85F, 275.81F, 127.76F, 274.72F)
            gp.AddBezier(127.76F, 274.72F, 127.97F, 274.06F, 128.35F, 273.8F, 128.55F, 273.14F)
            gp.AddBezier(128.55F, 273.14F, 128.98F, 271.76F, 129.14F, 270.9F, 129.14F, 269.46F)
            gp.AddBezier(129.14F, 269.46F, 129.14F, 266.43F, 128.78F, 264.74F, 128.09F, 261.77F)
            gp.AddBezier(128.09F, 261.77F, 127.86F, 260.77F, 127.61F, 260.39F, 127.37F, 259.4F)
            gp.AddBezier(127.37F, 259.4F, 126.48F, 255.8F, 125.54F, 253.94F, 124.54F, 250.39F)
            gp.AddBezier(124.54F, 250.39F, 124.16F, 249.04F, 123.95F, 248.25F, 123.62F, 246.9F)
            gp.AddBezier(123.62F, 246.9F, 123.23F, 245.27F, 122.81F, 244.4F, 122.5F, 242.76F)
            gp.AddBezier(122.5F, 242.76F, 121.94F, 239.78F, 121.84F, 238.06F, 121.45F, 235.07F)
            gp.AddBezier(121.45F, 235.07F, 121.02F, 231.86F, 120.2F, 230.09F, 120.2F, 226.85F)
            gp.StartFigure()
            gp.AddLine(120.2F, 226.85F, 119.21F, 212.38F)
            gp.StartFigure()
            gp.AddLine(119.21F, 212.38F, 118.42F, 206.46F)
            gp.AddBezier(118.42F, 206.46F, 118.19F, 205.69F, 118.08F, 205.26F, 117.83F, 204.49F)
            gp.AddBezier(117.83F, 204.49F, 117.45F, 203.34F, 117.52F, 202.7F, 117.24F, 201.53F)
            gp.AddBezier(117.24F, 201.53F, 116.73F, 198.41F, 116.4F, 196.7F, 116.25F, 193.57F)
            gp.AddBezier(116.25F, 193.57F, 116.04F, 189.03F, 115.46F, 186.53F, 115.13F, 182.0F)
            gp.AddBezier(115.13F, 182.0F, 115.05F, 180.75F, 114.92F, 180.03F, 114.87F, 178.78F)
            gp.AddBezier(114.87F, 178.78F, 114.75F, 176.25F, 114.87F, 174.8F, 114.48F, 172.27F)
            gp.AddBezier(114.48F, 172.27F, 114.15F, 170.12F, 114.18F, 168.9F, 113.89F, 166.75F)
            gp.AddBezier(113.89F, 166.75F, 113.89F, 166.75F, 113.67F, 165.96F, 113.64F, 165.64F)
            gp.AddBezier(113.64F, 165.64F, 113.59F, 165.1F, 113.59F, 164.55F, 113.59F, 163.99F)
            gp.AddBezier(113.59F, 163.99F, 113.59F, 162.71F, 113.49F, 161.39F, 113.67F, 160.12F)
            gp.AddBezier(113.67F, 160.12F, 113.89F, 158.57F, 114.06F, 157.02F, 114.06F, 155.44F)
            gp.AddBezier(114.06F, 155.44F, 114.06F, 154.1F, 114.18F, 152.71F, 114.01F, 151.38F)
            gp.AddBezier(114.01F, 151.38F, 113.93F, 150.75F, 113.78F, 150.14F, 113.6F, 149.53F)
            gp.AddBezier(113.6F, 149.53F, 113.38F, 148.8F, 113.35F, 148.06F, 113.31F, 147.3F)
            gp.AddBezier(113.31F, 147.3F, 113.2F, 144.83F, 113.2F, 142.38F, 113.2F, 139.91F)
            gp.StartFigure()
            gp.AddLine(113.2F, 139.91F, 113.69F, 136.29F)
            gp.AddBezier(113.69F, 136.29F, 114.28F, 126.24F, 113.99F, 124.73F, 114.41F, 122.28F)
            gp.AddBezier(114.41F, 122.28F, 114.56F, 121.39F, 114.46F, 120.82F, 114.8F, 119.98F)
            gp.AddBezier(114.8F, 119.98F, 114.72F, 118.85F, 114.44F, 118.17F, 114.8F, 117.09F)
            gp.StartFigure()
            gp.AddLine(114.8F, 117.09F, 114.54F, 115.31F)
            gp.AddBezier(114.54F, 115.31F, 114.31F, 112.02F, 115.25F, 110.2F, 115.92F, 106.96F)
            gp.AddBezier(115.92F, 106.96F, 116.68F, 103.34F, 116.43F, 101.29F, 117.04F, 97.62003F)
            gp.AddBezier(117.04F, 97.62003F, 116.79F, 94.40002F, 116.61F, 93.58002F, 116.32F, 92.10003F)
            gp.AddBezier(116.32F, 92.10003F, 116.14F, 91.15003F, 115.91F, 90.64003F, 115.79F, 89.67003F)
            gp.AddBezier(115.79F, 89.67003F, 115.31F, 85.86003F, 114.96F, 86.54003F, 114.65F, 82.72003F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(162.04F, 140.09F, 160.21F, 145.34F, 153.6F, 149.75F, 148.04F, 150.09F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(117.54F, 142.59F, 121.39F, 147.23F, 123.75F, 149.31F, 129.54F, 150.59F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(121.92F, 111.49F, 119.41F, 111.63F, 116.74F, 114.28F, 115.16F, 116.06F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(165.26F, 115.02F, 163.61F, 113.15F, 161.96F, 112.5F, 159.72F, 111.49F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(140.18F, 126.28F, 140.18F, 127.85F, 140.55F, 130.41F, 140.55F, 132.31F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(164.29F, 69.67F, 163.34F, 71.14F, 158.76F, 73.07F, 156.99F, 72.96F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(117.9F, 72.41F, 119.44F, 72.23F, 121.31F, 72.91F, 122.83F, 73.13F)
            gp.AddBezier(122.83F, 73.13F, 124.44F, 73.36001F, 126.1F, 73.32001F, 127.76F, 73.32001F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.StartFigure()
            gp.AddLine(113.89F, 166.74F, 113.64F, 166.77F)
            gp.AddBezier(113.64F, 166.77F, 112.46F, 166.75F, 112.46F, 165.31F, 112.18F, 164.15F)
            gp.AddBezier(112.18F, 164.15F, 111.88F, 162.94F, 111.06F, 161.8F, 110.83F, 160.56F)
            gp.StartFigure()
            gp.AddLine(110.83F, 160.56F, 110.35F, 156.87F)
            gp.AddBezier(110.35F, 156.87F, 110.26F, 156.34F, 110.2F, 155.82F, 109.67F, 155.82F)
            gp.AddBezier(109.67F, 155.82F, 108.47F, 155.81F, 108.91F, 156.45F, 108.05F, 157.33F)
            gp.StartFigure()
            gp.AddLine(108.05F, 157.33F, 107.5F, 158.37F)
            gp.AddBezier(107.5F, 158.37F, 107.14F, 159.34F, 107.3F, 159.72F, 107.56F, 160.75F)
            gp.AddBezier(107.56F, 160.75F, 107.91F, 162.13F, 107.38F, 162.72F, 107.58F, 164.13F)
            gp.StartFigure()
            gp.AddLine(107.58F, 164.13F, 107.82F, 168.07F)
            gp.AddBezier(107.82F, 168.07F, 108.0F, 169.73F, 108.48F, 170.63F, 108.53F, 172.3F)
            gp.AddBezier(108.53F, 172.3F, 108.56F, 173.43F, 108.84F, 174.47F, 108.35F, 175.47F)
            gp.AddBezier(108.35F, 175.47F, 108.02F, 176.14F, 107.47F, 176.55F, 106.73F, 176.55F)
            gp.AddBezier(106.73F, 176.55F, 106.27F, 176.55F, 106.25F, 175.93F, 106.18F, 175.47F)
            gp.AddBezier(106.18F, 175.47F, 106.08F, 174.95F, 106.01F, 174.64F, 105.88F, 174.12F)
            gp.AddBezier(105.88F, 174.12F, 105.59F, 172.98F, 105.54F, 172.29F, 105.15F, 171.17F)
            gp.AddBezier(105.15F, 171.17F, 104.37F, 168.93F, 103.34F, 167.63F, 103.09F, 165.3F)
            gp.StartFigure()
            gp.AddLine(103.09F, 165.3F, 100.75F, 153.67F)
            gp.AddBezier(100.75F, 153.67F, 100.69F, 149.07F, 102.61F, 146.6F, 102.6F, 142.05F)
            gp.AddBezier(102.6F, 142.05F, 102.61F, 140.58F, 102.5F, 139.85F, 102.59F, 138.51F)
            gp.AddBezier(102.59F, 138.51F, 102.11F, 137.55F, 102.61F, 136.76F, 102.33F, 135.76F)
            gp.AddBezier(102.33F, 135.76F, 102.2F, 134.85F, 102.08F, 134.35F, 101.98F, 133.46F)
            gp.AddBezier(101.98F, 133.46F, 101.55F, 129.84F, 101.19F, 127.81F, 100.68F, 124.18F)
            gp.AddBezier(100.68F, 124.18F, 100.48F, 122.68F, 100.15F, 121.86F, 99.82997F, 120.37F)
            gp.AddBezier(99.82997F, 120.37F, 99.14997F, 117.23F, 99.28997F, 115.41F, 98.86997F, 112.2F)
            gp.AddBezier(98.86997F, 112.2F, 98.71997F, 110.9F, 98.48997F, 110.19F, 98.48997F, 108.88F)
            gp.AddBezier(98.48997F, 108.88F, 98.48997F, 108.88F, 98.89998F, 105.68F, 99.28998F, 102.44F)
            gp.AddBezier(99.28998F, 102.44F, 99.67998F, 99.2F, 100.06F, 95.91F, 100.06F, 95.91F)
            gp.AddBezier(100.06F, 95.91F, 100.05F, 94.7F, 99.99998F, 94.32999F, 99.95998F, 93.2F)
            gp.AddBezier(99.95998F, 93.2F, 99.84998F, 90.35F, 99.90997F, 87.74F, 99.73997F, 84.73F)
            gp.StartFigure()
            gp.AddLine(99.73997F, 84.73F, 99.70998F, 78.85999F)
            gp.AddBezier(99.70998F, 78.85999F, 100.12F, 77.10999F, 100.03F, 76.06999F, 100.42F, 74.31999F)
            gp.AddBezier(100.42F, 74.31999F, 100.97F, 71.93999F, 101.97F, 70.67999F, 102.0F, 68.25999F)
            gp.StartFigure()
            gp.AddLine(102.0F, 68.25999F, 101.94F, 67.99999F)
            gp.StartFigure()
            gp.AddLine(101.94F, 67.99999F, 102.02F, 62.70999F)
            gp.AddBezier(102.02F, 62.70999F, 102.73F, 59.61999F, 103.21F, 57.77999F, 105.16F, 55.34999F)
            gp.AddBezier(105.16F, 55.34999F, 106.5F, 53.67999F, 107.51F, 52.75999F, 109.47F, 51.80999F)
            gp.AddBezier(109.47F, 51.80999F, 110.37F, 51.36999F, 110.83F, 50.94999F, 111.75F, 50.50999F)
            gp.AddBezier(111.75F, 50.50999F, 113.99F, 49.43999F, 116.24F, 48.15999F, 118.69F, 48.17999F)
            gp.StartFigure()
            gp.AddLine(118.69F, 48.17999F, 118.92F, 48.23999F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(164.2F, 50.08F, 164.07F, 49.86F, 162.44F, 48.61F, 162.03F, 48.39F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(117.02F, 49.67F, 117.9F, 48.67F, 118.55F, 48.46F, 119.71F, 47.79F)
            gp.AddBezier(119.71F, 47.79F, 121.0F, 47.04F, 121.72F, 46.67F, 123.18F, 46.38F)
            gp.AddBezier(123.18F, 46.38F, 124.31F, 46.16F, 131.08F, 45.01F, 131.49F, 43.97F)
            gp.AddBezier(131.49F, 43.97F, 133.16F, 39.66F, 132.63F, 39.39F, 132.17F, 35.91F)
            gp.StartFigure()
            gp.AddLine(132.17F, 35.91F, 131.78F, 32.39F)
            gp.StartFigure()
            gp.AddLine(131.78F, 32.39F, 131.71F, 32.3F)
            gp.AddBezier(131.71F, 32.3F, 131.02F, 30.92999F, 130.51F, 29.47F, 130.12F, 27.99F)
            gp.AddBezier(130.12F, 27.99F, 129.72F, 26.46F, 129.45F, 24.89F, 129.29F, 23.32F)
            gp.AddBezier(129.29F, 23.32F, 129.17F, 22.13F, 129.1F, 20.92F, 129.11F, 19.73F)
            gp.AddBezier(129.11F, 19.73F, 129.11F, 18.91F, 129.12F, 18.1F, 129.11F, 17.27999F)
            gp.AddBezier(129.11F, 17.27999F, 129.1F, 16.35999F, 129.1F, 15.43999F, 129.09F, 14.50999F)
            gp.AddBezier(129.09F, 14.50999F, 129.09F, 13.74999F, 129.07F, 12.97999F, 129.07F, 12.21999F)
            gp.AddBezier(129.07F, 12.21999F, 129.07F, 11.87999F, 129.08F, 11.53999F, 129.07F, 11.20999F)
            gp.AddBezier(129.07F, 11.20999F, 129.07F, 11.18999F, 129.07F, 11.17999F, 129.07F, 11.15999F)
            gp.AddBezier(129.07F, 11.15999F, 128.94F, 7.279994F, 130.91F, 4.059994F, 134.13F, 2.479994F)
            gp.AddBezier(134.13F, 2.479994F, 137.57F, 0.7899938F, 140.31F, 0.7199938F, 144.13F, 1.429994F)
            gp.AddBezier(144.13F, 1.429994F, 148.4F, 2.219994F, 151.17F, 5.239994F, 152.48F, 10.17999F)
            gp.AddBezier(152.48F, 10.17999F, 152.55F, 10.44999F, 152.49F, 10.81999F, 152.48F, 11.09999F)
            gp.AddBezier(152.48F, 11.09999F, 152.48F, 11.39999F, 152.47F, 11.69999F, 152.46F, 11.99999F)
            gp.AddBezier(152.46F, 11.99999F, 152.44F, 12.55999F, 152.41F, 13.11999F, 152.37F, 13.67999F)
            gp.AddBezier(152.37F, 13.67999F, 152.29F, 14.77999F, 152.19F, 15.86999F, 152.13F, 16.96999F)
            gp.AddBezier(152.13F, 16.96999F, 152.11F, 17.29999F, 152.1F, 17.63999F, 152.09F, 17.96999F)
            gp.AddBezier(152.09F, 17.96999F, 152.04F, 19.72999F, 151.91F, 21.49999F, 151.67F, 23.23999F)
            gp.AddBezier(151.67F, 23.23999F, 151.42F, 24.97999F, 151.05F, 26.69999F, 150.46F, 28.35999F)
            gp.AddBezier(150.46F, 28.35999F, 150.14F, 29.24999F, 149.79F, 30.13999F, 149.37F, 30.98999F)
            gp.StartFigure()
            gp.AddLine(149.37F, 30.98999F, 149.33F, 31.22999F)
            gp.StartFigure()
            gp.AddLine(149.33F, 31.22999F, 148.94F, 34.84999F)
            gp.AddBezier(148.94F, 34.84999F, 148.81F, 39.18999F, 148.28F, 39.44999F, 149.93F, 43.91999F)
            gp.AddBezier(149.93F, 43.91999F, 150.33F, 45.0F, 157.04F, 46.35999F, 158.15F, 46.62F)
            gp.AddBezier(158.15F, 46.62F, 158.81F, 46.77F, 159.46F, 46.96999F, 160.07F, 47.27F)
            gp.AddBezier(160.07F, 47.27F, 160.67F, 47.56F, 161.46F, 48.09F, 162.03F, 48.41F)
            gp.StartFigure()
            gp.AddLine(162.03F, 48.41F, 162.23F, 48.52999F)
            gp.AddLine(162.23F, 48.52999F, 162.56F, 48.52999F)
            gp.AddBezier(162.56F, 48.52999F, 164.99F, 48.52999F, 167.2F, 49.86F, 169.4F, 50.96F)
            gp.AddBezier(169.4F, 50.96F, 170.3F, 51.39999F, 170.75F, 51.82999F, 171.64F, 52.27999F)
            gp.AddBezier(171.64F, 52.27999F, 173.56F, 53.23F, 174.55F, 54.14999F, 175.85F, 55.82999F)
            gp.AddBezier(175.85F, 55.82999F, 177.74F, 58.25999F, 178.18F, 60.09999F, 178.83F, 63.19999F)
            gp.AddBezier(178.83F, 63.19999F, 178.83F, 63.39999F, 178.83F, 63.59999F, 178.83F, 63.79999F)
            gp.AddBezier(178.83F, 63.79999F, 178.83F, 64.67999F, 178.83F, 65.56999F, 178.82F, 66.44999F)
            gp.AddBezier(178.82F, 66.44999F, 178.82F, 66.86999F, 178.83F, 67.27999F, 178.82F, 67.69999F)
            gp.AddBezier(178.82F, 67.69999F, 178.81F, 68.33999F, 178.72F, 68.99999F, 178.8F, 69.63999F)
            gp.AddBezier(178.8F, 69.63999F, 179.01F, 71.38999F, 179.88F, 72.94999F, 180.26F, 74.64999F)
            gp.AddBezier(180.26F, 74.64999F, 180.64F, 76.34F, 180.54F, 77.35999F, 180.95F, 79.06F)
            gp.AddBezier(180.95F, 79.06F, 180.82F, 87.66F, 180.92F, 90.17F, 180.85F, 92.94F)
            gp.AddBezier(180.85F, 92.94F, 180.82F, 94.03F, 180.78F, 94.39F, 180.78F, 95.57F)
            gp.StartFigure()
            gp.AddLine(180.78F, 95.57F, 182.42F, 108.46F)
            gp.AddBezier(182.42F, 108.46F, 182.42F, 109.78F, 182.19F, 110.5F, 182.03F, 111.81F)
            gp.AddBezier(182.03F, 111.81F, 181.59F, 115.06F, 181.7F, 116.91F, 180.98F, 120.1F)
            gp.AddBezier(180.98F, 120.1F, 180.64F, 121.61F, 180.29F, 122.45F, 180.06F, 123.98F)
            gp.AddBezier(180.06F, 123.98F, 179.47F, 127.7F, 179.06F, 129.78F, 178.55F, 133.52F)
            gp.AddBezier(178.55F, 133.52F, 178.43F, 134.44F, 178.3F, 134.95F, 178.16F, 135.89F)
            gp.AddBezier(178.16F, 135.89F, 177.86F, 136.93F, 178.36F, 137.73F, 177.86F, 138.72F)
            gp.AddBezier(177.86F, 138.72F, 177.94F, 140.08F, 177.83F, 140.84F, 177.83F, 142.21F)
            gp.AddBezier(177.83F, 142.21F, 177.83F, 146.98F, 179.8F, 149.44F, 179.8F, 154.08F)
            gp.StartFigure()
            gp.AddLine(179.8F, 154.08F, 177.7F, 165.69F)
            gp.AddBezier(177.7F, 165.69F, 177.52F, 167.99F, 176.52F, 169.27F, 175.79F, 171.48F)
            gp.AddBezier(175.79F, 171.48F, 175.43F, 172.58F, 175.4F, 173.26F, 175.13F, 174.37F)
            gp.AddBezier(175.13F, 174.37F, 175.02F, 174.88F, 174.95F, 175.18F, 174.87F, 175.69F)
            gp.AddBezier(174.87F, 175.69F, 174.8F, 176.13F, 174.8F, 176.74F, 174.34F, 176.74F)
            gp.AddBezier(174.34F, 176.74F, 173.6F, 176.74F, 173.04F, 176.35F, 172.7F, 175.69F)
            gp.AddBezier(172.7F, 175.69F, 172.19F, 174.72F, 172.44F, 173.7F, 172.44F, 172.6F)
            gp.AddBezier(172.44F, 172.6F, 172.44F, 170.97F, 172.9F, 170.08F, 173.03F, 168.46F)
            gp.StartFigure()
            gp.AddLine(173.03F, 168.46F, 173.16F, 164.58F)
            gp.AddBezier(173.16F, 164.58F, 173.33F, 163.18F, 172.78F, 162.59F, 173.09F, 161.23F)
            gp.AddBezier(173.09F, 161.23F, 173.32F, 160.21F, 173.47F, 159.82F, 173.09F, 158.86F)
            gp.AddBezier(173.09F, 158.86F, 172.81F, 158.17F, 172.76F, 157.51F, 172.57F, 156.9F)
            gp.StartFigure()
            gp.AddLine(172.57F, 156.9F, 172.49F, 156.82F)
            gp.AddBezier(172.49F, 156.82F, 171.62F, 155.95F, 172.05F, 155.31F, 170.85F, 155.31F)
            gp.AddBezier(170.85F, 155.31F, 170.32F, 155.31F, 170.27F, 155.84F, 170.19F, 156.36F)
            gp.StartFigure()
            gp.AddLine(170.19F, 156.36F, 169.8F, 160.04F)
            gp.AddBezier(169.8F, 160.04F, 169.6F, 161.27F, 168.81F, 162.39F, 168.55F, 163.59F)
            gp.AddBezier(168.55F, 163.59F, 168.3F, 164.72F, 168.22F, 166.27F, 167.05F, 166.27F)
            gp.StartFigure()
            gp.AddLine(167.05F, 166.27F, 166.97F, 166.25F)
            gp.AddBezier(166.97F, 166.25F, 166.97F, 168.31F, 166.96F, 170.0F, 166.93F, 170.89F)
            gp.StartFigure()
            gp.AddLine(166.93F, 170.89F, 167.03F, 172.97F)
            gp.AddBezier(167.03F, 172.97F, 167.24F, 174.04F, 167.01F, 174.63F, 166.95F, 175.7F)
            gp.AddBezier(166.95F, 175.7F, 166.72F, 178.99F, 166.46F, 180.83F, 166.29F, 184.12F)
            gp.AddBezier(166.29F, 184.12F, 166.11F, 187.66F, 165.45F, 189.59F, 165.17F, 193.13F)
            gp.AddBezier(165.17F, 193.13F, 165.09F, 194.12F, 164.88F, 194.64F, 164.78F, 195.63F)
            gp.AddBezier(164.78F, 195.63F, 164.55F, 197.9F, 163.93F, 199.08F, 163.6F, 201.35F)
            gp.AddBezier(163.6F, 201.35F, 163.0F, 205.45F, 162.55F, 207.76F, 161.66F, 211.57F)
            gp.StartFigure()
            gp.AddLine(161.66F, 211.57F, 161.58F, 212.25F)
            gp.AddBezier(161.58F, 212.25F, 161.02F, 230.19F, 161.27F, 232.45F, 160.59F, 236.39F)
            gp.AddBezier(160.59F, 236.39F, 160.23F, 238.53F, 159.88F, 239.73F, 159.47F, 241.85F)
            gp.AddBezier(159.47F, 241.85F, 159.01F, 244.17F, 158.52F, 245.4F, 157.89F, 247.7F)
            gp.AddBezier(157.89F, 247.7F, 157.63F, 248.7F, 157.36F, 249.26F, 157.17F, 250.27F)
            gp.AddBezier(157.17F, 250.27F, 156.46F, 253.8F, 156.18F, 255.85F, 155.07F, 259.28F)
            gp.AddBezier(155.07F, 259.28F, 154.15F, 262.11F, 153.49F, 263.75F, 152.97F, 266.71F)
            gp.StartFigure()
            gp.AddLine(152.97F, 266.71F, 151.3F, 274.47F)
            gp.StartFigure()
            gp.AddLine(151.3F, 274.47F, 151.39F, 274.51F)
            gp.AddBezier(151.39F, 274.51F, 151.74F, 274.66F, 152.16F, 274.82F, 152.65F, 275.13F)
            gp.AddBezier(152.65F, 275.13F, 153.95F, 275.95F, 154.69F, 276.53F, 155.61F, 277.76F)
            gp.AddBezier(155.61F, 277.76F, 156.2F, 278.57F, 156.63F, 279.12F, 157.58F, 279.47F)
            gp.AddBezier(157.58F, 279.47F, 158.16F, 279.68F, 158.62F, 279.59F, 159.16F, 279.86F)
            gp.AddBezier(159.16F, 279.86F, 160.39F, 280.52F, 162.97F, 283.21F, 162.05F, 283.81F)
            gp.StartFigure()
            gp.AddLine(162.05F, 283.81F, 161.54F, 284.0F)
            gp.AddBezier(161.54F, 284.0F, 160.29F, 284.62F, 156.39F, 284.19F, 155.63F, 284.19F)
            gp.AddBezier(155.63F, 284.19F, 153.85F, 284.19F, 152.19F, 284.37F, 150.44F, 284.47F)
            gp.AddBezier(150.44F, 284.47F, 148.77F, 284.56F, 147.08F, 284.61F, 145.39F, 284.61F)
            gp.AddBezier(145.39F, 284.61F, 144.23F, 284.61F, 142.85F, 285.05F, 142.04F, 283.9301F)
            gp.AddBezier(142.04F, 283.9301F, 141.54F, 283.2401F, 141.44F, 282.3701F, 141.52F, 281.55F)
            gp.AddBezier(141.52F, 281.55F, 141.57F, 280.98F, 141.71F, 280.41F, 141.79F, 279.8401F)
            gp.AddBezier(141.79F, 279.8401F, 141.93F, 278.8101F, 142.08F, 277.7801F, 142.23F, 276.7501F)
            gp.AddBezier(142.23F, 276.7501F, 142.39F, 275.6201F, 142.55F, 274.4901F, 142.71F, 273.3501F)
            gp.AddBezier(142.71F, 273.3501F, 142.84F, 272.4101F, 142.97F, 271.4801F, 143.1F, 270.5401F)
            gp.AddBezier(143.1F, 270.5401F, 143.16F, 270.1001F, 143.23F, 269.6701F, 143.29F, 269.2301F)
            gp.AddBezier(143.29F, 269.2301F, 143.29F, 269.2201F, 143.29F, 269.2101F, 143.29F, 269.2001F)
            gp.StartFigure()
            gp.AddLine(143.29F, 269.2001F, 142.99F, 256.9001F)
            gp.AddBezier(142.99F, 256.9001F, 142.73F, 252.4901F, 142.68F, 251.4601F, 142.0F, 249.6701F)
            gp.StartFigure()
            gp.AddLine(142.0F, 249.6701F, 141.01F, 243.4601F)
            gp.AddBezier(141.01F, 243.4601F, 141.08F, 241.3201F, 141.01F, 240.5501F, 141.14F, 238.6901F)
            gp.AddBezier(141.14F, 238.6901F, 141.35F, 235.7001F, 141.4F, 234.1501F, 141.93F, 231.0601F)
            gp.AddBezier(141.93F, 231.0601F, 142.41F, 228.2601F, 142.6F, 226.6901F, 143.11F, 223.8901F)
            gp.AddBezier(143.11F, 223.8901F, 143.28F, 222.9901F, 143.6F, 222.5101F, 143.7F, 221.5901F)
            gp.AddBezier(143.7F, 221.5901F, 143.82F, 220.5101F, 143.78F, 219.8401F, 143.91F, 218.8501F)
            gp.StartFigure()
            gp.AddLine(143.91F, 218.8501F, 143.83F, 218.5001F)
            gp.StartFigure()
            gp.AddLine(143.83F, 218.5001F, 143.02F, 210.1201F)
            gp.AddBezier(143.02F, 210.1201F, 142.41F, 208.1801F, 143.02F, 206.9301F, 143.02F, 204.8901F)
            gp.AddBezier(143.02F, 204.8901F, 143.43F, 203.9701F, 143.61F, 203.4301F, 143.65F, 202.4601F)
            gp.StartFigure()
            gp.AddLine(143.65F, 202.4601F, 143.63F, 201.6701F)
            gp.AddBezier(143.63F, 201.6701F, 143.55F, 201.1401F, 143.37F, 200.2901F, 143.3F, 199.5701F)
            gp.StartFigure()
            gp.AddLine(143.3F, 199.5701F, 142.89F, 195.1601F)
            gp.AddBezier(142.89F, 195.1601F, 142.64F, 185.8801F, 142.44F, 184.0401F, 142.4F, 180.2301F)
            gp.AddBezier(142.4F, 180.2301F, 142.38F, 178.8801F, 141.99F, 178.1901F, 141.92F, 176.8101F)
            gp.StartFigure()
            gp.AddLine(141.92F, 176.8101F, 141.66F, 172.5401F)
            gp.AddBezier(141.66F, 172.5401F, 141.53F, 171.3601F, 141.56F, 170.66F, 141.64F, 169.5101F)
            gp.StartFigure()
            gp.AddLine(141.64F, 169.5101F, 141.41F, 164.97F)
            gp.AddBezier(141.41F, 164.97F, 141.0F, 160.89F, 141.17F, 159.46F, 140.6F, 156.81F)
            gp.AddBezier(140.6F, 156.81F, 140.4F, 155.89F, 140.62F, 152.58F, 140.27F, 151.8801F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(166.03F, 86.32F, 166.03F, 90.02F, 168.29F, 93.17F, 168.98F, 96.72F)
            gp.AddBezier(168.98F, 96.72F, 169.65F, 100.13F, 169.28F, 103.95F, 169.07F, 107.4F)
            gp.AddBezier(169.07F, 107.4F, 168.85F, 110.93F, 169.99F, 114.15F, 169.9F, 117.66F)
            gp.AddBezier(169.9F, 117.66F, 169.82F, 121.06F, 169.88F, 124.41F, 170.0F, 127.81F)
            gp.AddBezier(170.0F, 127.81F, 170.15F, 132.11F, 169.59F, 136.54F, 168.59F, 140.71F)
            gp.AddBezier(168.59F, 140.71F, 168.47F, 141.22F, 168.37F, 141.85F, 168.1F, 142.3F)
            gp.AddBezier(168.1F, 142.3F, 167.84F, 142.74F, 167.22F, 143.18F, 166.99F, 143.65F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)
            gp = New GraphicsPath
            gp.StartFigure()
            gp.AddBezier(167.02F, 166.19F, 167.02F, 165.68F, 167.02F, 165.17F, 166.99F, 164.66F)
            gp.AddBezier(166.99F, 164.66F, 166.97F, 164.32F, 166.85F, 164.09F, 166.79F, 163.8F)
            gp.AddBezier(166.79F, 163.8F, 166.67F, 163.25F, 166.79F, 162.53F, 166.79F, 161.97F)
            gp.AddBezier(166.79F, 161.97F, 166.79F, 158.85F, 166.5F, 155.75F, 166.59F, 152.62F)
            gp.AddBezier(166.59F, 152.62F, 166.65F, 150.54F, 166.71F, 148.46F, 166.7F, 146.38F)
            gp.AddBezier(166.7F, 146.38F, 166.7F, 145.95F, 166.81F, 145.53F, 166.88F, 145.11F)
            gp.AddBezier(166.88F, 145.11F, 166.99F, 144.37F, 167.03F, 143.65F, 166.99F, 142.89F)
            gp.AddBezier(166.99F, 142.89F, 166.75F, 138.51F, 166.64F, 134.1F, 166.41F, 129.71F)
            gp.AddBezier(166.41F, 129.71F, 166.32F, 128.04F, 165.89F, 126.23F, 165.99F, 124.58F)
            gp.AddBezier(165.99F, 124.58F, 166.04F, 123.78F, 166.48F, 123.11F, 166.36F, 122.26F)
            gp.AddBezier(166.36F, 122.26F, 166.25F, 121.46F, 165.71F, 120.72F, 165.51F, 119.92F)
            gp.AddBezier(165.51F, 119.92F, 164.68F, 116.58F, 165.75F, 112.96F, 165.49F, 109.52F)
            gp.AddBezier(165.49F, 109.52F, 165.23F, 106.04F, 165.37F, 102.6F, 165.39F, 99.14F)
            gp.AddBezier(165.39F, 99.14F, 165.41F, 95.36F, 164.7F, 89.87F, 166.0F, 86.29F)
            gp.StartFigure()
            gp.AddLine(166.0F, 86.29F, 166.04F, 85.81F)
            gp.StartFigure()
            gp.AddLine(166.04F, 85.81F, 166.24F, 84.23F)
            gp.StartFigure()
            gp.AddLine(166.24F, 84.23F, 165.39F, 77.06F)
            gp.AddBezier(165.39F, 77.06F, 165.54F, 76.14F, 165.65F, 75.61F, 165.42F, 74.68999F)
            gp.AddBezier(165.42F, 74.68999F, 165.72F, 69.5F, 165.83F, 68.71F, 166.18F, 67.32999F)
            gp.Transform(TransformMatrix)
            g.DrawPath(MyPen, gp)

            ControlPaint.DrawVisualStyleBorder(g, New Rectangle(0, 0, Me.Width - 1, Me.Height - 1))

            g.SmoothingMode = SmoothingMode.Default
            g.Dispose()
        End If

        Dim gr As Graphics = pe.Graphics
        gr.DrawImage(MBMP, 0, 0)


        If Not IsNothing(m_AktuelleRegion) Then
            gr.SmoothingMode = Drawing2D.SmoothingMode.AntiAlias
            If m_AktuelleRegion.Seite = Seitenangaben.Beidseits Then
                gr.FillEllipse(SelectedBrush, GetTransformedRectangle(m_AktuelleRegion.Rect1))
                gr.FillEllipse(SelectedBrush, GetTransformedRectangle(m_AktuelleRegion.Rect2))
            Else
                gr.FillEllipse(SelectedBrush, GetTransformedRectangle(m_AktuelleRegion.Rect1))
            End If

            gr.SmoothingMode = Drawing2D.SmoothingMode.Default
        End If



        If Not IsNothing(m_HooverRegion) Then
            gr.SmoothingMode = Drawing2D.SmoothingMode.AntiAlias
            If m_HooverRegion.Seite = Seitenangaben.Beidseits Then
                gr.FillEllipse(AnzeigeBrush, GetTransformedRectangle(m_HooverRegion.Rect1))
                gr.FillEllipse(AnzeigeBrush, GetTransformedRectangle(m_HooverRegion.Rect2))
            Else
                gr.FillEllipse(AnzeigeBrush, GetTransformedRectangle(m_HooverRegion.Rect1))
            End If


            gr.SmoothingMode = Drawing2D.SmoothingMode.Default
            gr.DrawString(m_HooverRegion.Bezeichnung, Me.Font, ForeBrush, 2, 2)

        End If

    End Sub
    Private Function GetTransformedRectangle(ByVal RAAusgang As RectangleF) As RectangleF
        Dim GP As New GraphicsPath
        GP.AddRectangle(RAAusgang)
        Return GP.GetBounds(TransformMatrix)
    End Function
    Private Sub MenschControl_SizeChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.SizeChanged
        'Dim PlatzFuerMensch As Size = New Size(184, 288)

        TransformFactor = Math.Max((184.0F + RelSeitAbstand) / (CSng(Me.ClientSize.Width) - RelSeitAbstand), (288.0F + AbstandFuerText) / (CSng(Me.ClientSize.Height) - AbstandFuerText))
        TransformMatrix = New Matrix(1.0F / TransformFactor, 0, 0, 1.0F / TransformFactor, 0, 0)


        LinksPos = System.Convert.ToSingle(Me.ClientSize.Width * TransformFactor / 2 - 184.0F / 2) '

        TransformMatrix.Translate(LinksPos, AbstandFuerText * TransformFactor)

        MBMP = Nothing
        Invalidate()
    End Sub
    Private Function IsVisble(ByVal Rgn As KoerperRegion, ByVal X As Single, ByVal Y As Single) As Boolean
        If Rgn.Seite = Seitenangaben.Beidseits Then
            Dim GP1 As New GraphicsPath
            GP1.AddEllipse(GetTransformedRectangle(Rgn.Rect1))
            If GP1.IsVisible(X, Y) Then
                Return True
            Else
                Dim GP2 As New GraphicsPath
                GP2.AddEllipse(GetTransformedRectangle(Rgn.Rect2))
                If GP2.IsVisible(X, Y) Then
                    Return True
                End If
                Return False
            End If
        Else
            Dim GP As New GraphicsPath
            GP.AddEllipse(GetTransformedRectangle(Rgn.Rect1))
            Return GP.IsVisible(X, Y)
        End If
    End Function

    Private Sub MenschControl_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles MyBase.MouseMove
        Dim TransX As Integer = e.X
        Dim Transy As Integer = e.Y


        If Not IsNothing(m_HooverRegion) Then
            If IsVisble(m_HooverRegion, TransX, Transy) Then
                Exit Sub
            End If
        End If

        Dim WasNothing As Boolean = IsNothing(m_HooverRegion)
        Dim Gefunden As Boolean = False

        m_HooverRegion = Nothing

        If m_SeitenModeBeidseits Then
            For Each Rgn As KoerperRegion In Liste_Regionen
                If (Rgn.Seite = Seitenangaben.Beidseits) Or (Rgn.Seite = Seitenangaben.Mitte) Then
                    If IsVisble(Rgn, TransX, Transy) Then
                        m_HooverRegion = Rgn
                        Gefunden = True
                        Exit For
                    End If
                End If
            Next
        Else
            For Each Rgn As KoerperRegion In Liste_Regionen
                If Rgn.Seite <> Seitenangaben.Beidseits Then
                    If IsVisble(Rgn, TransX, Transy) Then
                        m_HooverRegion = Rgn
                        Gefunden = True
                        Exit For
                    End If
                End If
            Next
        End If



        If WasNothing Then
            If Gefunden Then
                Invalidate()
            End If
        Else
            Invalidate()
        End If
    End Sub

    Private Sub MenschControl_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles MyBase.MouseDown
        If e.Button <> Windows.Forms.MouseButtons.Left Then Exit Sub
        If Not m_AktuelleRegion Is m_HooverRegion Then
            m_AktuelleRegion = m_HooverRegion
            Invalidate()
            RaiseEvent SelectedRegionChanged()
        End If
    End Sub

    Public Sub New()

        ' Dieser Aufruf ist für den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Dim AnzeigeFarbe As Color = Color.FromArgb(120, Color.Gold.R, Color.Gold.G, Color.Gold.B)
        Dim SelectedFarbe As Color = Color.FromArgb(120, Color.Red.R, Color.Red.G, Color.Red.B)
        AnzeigeBrush = New SolidBrush(AnzeigeFarbe)
        SelectedBrush = New SolidBrush(SelectedFarbe)
        ForeBrush = New SolidBrush(Color.Black)

        Regionen_Laden()

        Me.SetStyle(ControlStyles.DoubleBuffer Or ControlStyles.UserPaint Or ControlStyles.AllPaintingInWmPaint, True)
        Me.UpdateStyles()
    End Sub
End Class
